
_ds1307_init:

;ds1307.h,22 :: 		void ds1307_init (void) {
;ds1307.h,23 :: 		char sec_t = 0;
	CLRF       ds1307_init_sec_t_L0+0
	CLRF       ds1307_init_sec_L0+0
;ds1307.h,26 :: 		I2C1_Start();
	CALL       _I2C1_Start+0
;ds1307.h,27 :: 		I2C1_Wr(DS1307_ADDR);      // WR to RTC
	MOVLW      208
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,28 :: 		I2C1_Wr(0x00);             // REG 0
	CLRF       FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,30 :: 		I2C1_Repeated_Start();
	CALL       _I2C1_Repeated_Start+0
;ds1307.h,31 :: 		I2C1_Wr(DS1307_ADDR + 1);
	MOVLW      209
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,32 :: 		sec_t = I2C1_Rd(NACK);     // REG 0 - reading current seconds
	CLRF       FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       R0+0, 0
	MOVWF      ds1307_init_sec_t_L0+0
;ds1307.h,33 :: 		while (!I2C1_Is_Idle())
L_ds1307_init0:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_init1
;ds1307.h,34 :: 		asm nop;
	NOP
	GOTO       L_ds1307_init0
L_ds1307_init1:
;ds1307.h,35 :: 		I2C1_Stop();
	CALL       _I2C1_Stop+0
;ds1307.h,37 :: 		sec = Dec2Bcd((Bcd2Dec(sec_t)) & 0x7F);
	MOVF       ds1307_init_sec_t_L0+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVLW      127
	ANDWF      R0+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      ds1307_init_sec_L0+0
;ds1307.h,38 :: 		Delay_ms(50);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      69
	MOVWF      R12+0
	MOVLW      169
	MOVWF      R13+0
L_ds1307_init2:
	DECFSZ     R13+0, 1
	GOTO       L_ds1307_init2
	DECFSZ     R12+0, 1
	GOTO       L_ds1307_init2
	DECFSZ     R11+0, 1
	GOTO       L_ds1307_init2
	NOP
	NOP
;ds1307.h,40 :: 		I2C1_Start();
	CALL       _I2C1_Start+0
;ds1307.h,41 :: 		I2C1_Wr(DS1307_ADDR);      // WR to RTC
	MOVLW      208
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,42 :: 		I2C1_Wr(0x00);
	CLRF       FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,43 :: 		I2C1_Wr(sec);              // Write current seconds to REG 0 and start oscillator
	MOVF       ds1307_init_sec_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,44 :: 		while (!I2C1_Is_Idle())
L_ds1307_init3:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_init4
;ds1307.h,45 :: 		asm nop;
	NOP
	GOTO       L_ds1307_init3
L_ds1307_init4:
;ds1307.h,47 :: 		I2C1_Repeated_Start();
	CALL       _I2C1_Repeated_Start+0
;ds1307.h,48 :: 		I2C1_Wr(DS1307_ADDR);      // WR to RTC
	MOVLW      208
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,49 :: 		I2C1_Wr(0x07);             // Control Register
	MOVLW      7
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,50 :: 		I2C1_Wr(0x80);             // Disable squarewave output pin
	MOVLW      128
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,51 :: 		while (!I2C1_Is_Idle())
L_ds1307_init5:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_init6
;ds1307.h,52 :: 		asm nop;
	NOP
	GOTO       L_ds1307_init5
L_ds1307_init6:
;ds1307.h,53 :: 		I2C1_Stop();
	CALL       _I2C1_Stop+0
;ds1307.h,54 :: 		}
	RETURN
; end of _ds1307_init

_ds1307_get_time:

;ds1307.h,56 :: 		void ds1307_get_time (char *hr, char *mn, char *sec) {
;ds1307.h,57 :: 		char sec_t = 0;
	CLRF       ds1307_get_time_sec_t_L0+0
	CLRF       ds1307_get_time_mn_t_L0+0
	CLRF       ds1307_get_time_hr_t_L0+0
;ds1307.h,61 :: 		I2C1_Start();
	CALL       _I2C1_Start+0
;ds1307.h,62 :: 		I2C1_Wr(DS1307_ADDR);          // WR to RTC
	MOVLW      208
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,63 :: 		I2C1_Wr(0x00);                 // REG 0
	CLRF       FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,64 :: 		I2C1_Repeated_Start();
	CALL       _I2C1_Repeated_Start+0
;ds1307.h,65 :: 		I2C1_Wr(DS1307_ADDR + 1);
	MOVLW      209
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,66 :: 		sec_t = I2C1_Rd(ACK);          // REG 0 - seconds
	MOVLW      1
	MOVWF      FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       R0+0, 0
	MOVWF      ds1307_get_time_sec_t_L0+0
;ds1307.h,67 :: 		while (!I2C1_Is_Idle())
L_ds1307_get_time7:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_get_time8
;ds1307.h,68 :: 		asm nop;
	NOP
	GOTO       L_ds1307_get_time7
L_ds1307_get_time8:
;ds1307.h,69 :: 		mn_t  = I2C1_Rd(ACK);          // REG 1 - minutes
	MOVLW      1
	MOVWF      FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       R0+0, 0
	MOVWF      ds1307_get_time_mn_t_L0+0
;ds1307.h,70 :: 		while (!I2C1_Is_Idle())
L_ds1307_get_time9:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_get_time10
;ds1307.h,71 :: 		asm nop;
	NOP
	GOTO       L_ds1307_get_time9
L_ds1307_get_time10:
;ds1307.h,72 :: 		hr_t  = I2C1_Rd(NACK);         // REG 2 - hours
	CLRF       FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       R0+0, 0
	MOVWF      ds1307_get_time_hr_t_L0+0
;ds1307.h,73 :: 		while (!I2C1_Is_Idle())
L_ds1307_get_time11:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_get_time12
;ds1307.h,74 :: 		asm nop;
	NOP
	GOTO       L_ds1307_get_time11
L_ds1307_get_time12:
;ds1307.h,75 :: 		I2C1_Stop();
	CALL       _I2C1_Stop+0
;ds1307.h,76 :: 		*sec  = Bcd2Dec(sec_t & 0x7F);
	MOVLW      127
	ANDWF      ds1307_get_time_sec_t_L0+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVF       FARG_ds1307_get_time_sec+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;ds1307.h,77 :: 		*mn   = Bcd2Dec(mn_t  & 0x7F);
	MOVLW      127
	ANDWF      ds1307_get_time_mn_t_L0+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVF       FARG_ds1307_get_time_mn+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;ds1307.h,78 :: 		*hr   = Bcd2Dec(hr_t  & 0x3F);
	MOVLW      63
	ANDWF      ds1307_get_time_hr_t_L0+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVF       FARG_ds1307_get_time_hr+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;ds1307.h,79 :: 		}
	RETURN
; end of _ds1307_get_time

_ds1307_get_date:

;ds1307.h,81 :: 		void ds1307_get_date (char *day, char *mth, char *year, char *dow) {
;ds1307.h,82 :: 		char day_t  = 0;
	CLRF       ds1307_get_date_day_t_L0+0
	CLRF       ds1307_get_date_mth_t_L0+0
	CLRF       ds1307_get_date_year_t_L0+0
	CLRF       ds1307_get_date_dow_t_L0+0
;ds1307.h,87 :: 		I2C1_Start();
	CALL       _I2C1_Start+0
;ds1307.h,88 :: 		I2C1_Wr(DS1307_ADDR);            // WR to RTC
	MOVLW      208
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,89 :: 		I2C1_Wr(0x03);                   // REG 3
	MOVLW      3
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,90 :: 		I2C1_Repeated_Start();
	CALL       _I2C1_Repeated_Start+0
;ds1307.h,91 :: 		I2C1_Wr(DS1307_ADDR + 1);
	MOVLW      209
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,92 :: 		dow_t   = I2C1_Rd(ACK);          // REG 3 - day of week
	MOVLW      1
	MOVWF      FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       R0+0, 0
	MOVWF      ds1307_get_date_dow_t_L0+0
;ds1307.h,93 :: 		while (!I2C1_Is_Idle())
L_ds1307_get_date13:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_get_date14
;ds1307.h,94 :: 		asm nop;
	NOP
	GOTO       L_ds1307_get_date13
L_ds1307_get_date14:
;ds1307.h,95 :: 		day_t   = I2C1_Rd(ACK);          // REG 4 - day
	MOVLW      1
	MOVWF      FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       R0+0, 0
	MOVWF      ds1307_get_date_day_t_L0+0
;ds1307.h,96 :: 		while (!I2C1_Is_Idle())
L_ds1307_get_date15:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_get_date16
;ds1307.h,97 :: 		asm nop;
	NOP
	GOTO       L_ds1307_get_date15
L_ds1307_get_date16:
;ds1307.h,98 :: 		mth_t   = I2C1_Rd(ACK);          // REG 5 - month
	MOVLW      1
	MOVWF      FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       R0+0, 0
	MOVWF      ds1307_get_date_mth_t_L0+0
;ds1307.h,99 :: 		while (!I2C1_Is_Idle())
L_ds1307_get_date17:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_get_date18
;ds1307.h,100 :: 		asm nop;
	NOP
	GOTO       L_ds1307_get_date17
L_ds1307_get_date18:
;ds1307.h,101 :: 		year_t  = I2C1_Rd(NACK);         // REG 6 - year
	CLRF       FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       R0+0, 0
	MOVWF      ds1307_get_date_year_t_L0+0
;ds1307.h,102 :: 		while (!I2C1_Is_Idle())
L_ds1307_get_date19:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_get_date20
;ds1307.h,103 :: 		asm nop;
	NOP
	GOTO       L_ds1307_get_date19
L_ds1307_get_date20:
;ds1307.h,104 :: 		I2C1_Stop();
	CALL       _I2C1_Stop+0
;ds1307.h,105 :: 		*day    = Bcd2Dec(day_t  & 0x3F);
	MOVLW      63
	ANDWF      ds1307_get_date_day_t_L0+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVF       FARG_ds1307_get_date_day+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;ds1307.h,106 :: 		*mth    = Bcd2Dec(mth_t  & 0x1F);
	MOVLW      31
	ANDWF      ds1307_get_date_mth_t_L0+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVF       FARG_ds1307_get_date_mth+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;ds1307.h,107 :: 		*year   = Bcd2Dec(year_t);
	MOVF       ds1307_get_date_year_t_L0+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVF       FARG_ds1307_get_date_year+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;ds1307.h,108 :: 		*dow    = Bcd2Dec(dow_t  & 0x7F);
	MOVLW      127
	ANDWF      ds1307_get_date_dow_t_L0+0, 0
	MOVWF      FARG_Bcd2Dec_bcdnum+0
	CALL       _Bcd2Dec+0
	MOVF       FARG_ds1307_get_date_dow+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;ds1307.h,109 :: 		}
	RETURN
; end of _ds1307_get_date

_ds1307_set_time:

;ds1307.h,111 :: 		void ds1307_set_time (char hr, char mn, char sec) {
;ds1307.h,112 :: 		I2C1_Start();
	CALL       _I2C1_Start+0
;ds1307.h,113 :: 		I2C1_Wr(DS1307_ADDR);            // WR to RTC
	MOVLW      208
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,114 :: 		I2C1_Wr(0x00);                   // REG 0
	CLRF       FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,115 :: 		I2C1_Wr(Dec2Bcd(sec & 0x7F));    // REG 0 - seconds
	MOVLW      127
	ANDWF      FARG_ds1307_set_time_sec+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,116 :: 		while (!I2C1_Is_Idle())
L_ds1307_set_time21:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_set_time22
;ds1307.h,117 :: 		asm nop;
	NOP
	GOTO       L_ds1307_set_time21
L_ds1307_set_time22:
;ds1307.h,118 :: 		I2C1_Wr(Dec2Bcd(mn  & 0x7F));    // REG 1 - minutes
	MOVLW      127
	ANDWF      FARG_ds1307_set_time_mn+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,119 :: 		while (!I2C1_Is_Idle())
L_ds1307_set_time23:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_set_time24
;ds1307.h,120 :: 		asm nop;
	NOP
	GOTO       L_ds1307_set_time23
L_ds1307_set_time24:
;ds1307.h,121 :: 		I2C1_Wr(Dec2Bcd(hr  & 0x3F));    // REG 2 - hours
	MOVLW      63
	ANDWF      FARG_ds1307_set_time_hr+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,122 :: 		while (!I2C1_Is_Idle())
L_ds1307_set_time25:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_set_time26
;ds1307.h,123 :: 		asm nop;
	NOP
	GOTO       L_ds1307_set_time25
L_ds1307_set_time26:
;ds1307.h,124 :: 		I2C1_Stop();
	CALL       _I2C1_Stop+0
;ds1307.h,125 :: 		}
	RETURN
; end of _ds1307_set_time

_ds1307_set_date:

;ds1307.h,127 :: 		void void ds1307_set_date (char day, char mth, char year) {
;ds1307.h,128 :: 		I2C1_Start();
	CALL       _I2C1_Start+0
;ds1307.h,129 :: 		I2C1_Wr(DS1307_ADDR);            // WR to RTC
	MOVLW      208
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,130 :: 		I2C1_Wr(0x04);                   // REG 4
	MOVLW      4
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,131 :: 		I2C1_Wr(Dec2Bcd(day  & 0x3F));   // REG 4 - day
	MOVLW      63
	ANDWF      FARG_ds1307_set_date_day+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,132 :: 		while (!I2C1_Is_Idle())
L_ds1307_set_date27:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_set_date28
;ds1307.h,133 :: 		asm nop;
	NOP
	GOTO       L_ds1307_set_date27
L_ds1307_set_date28:
;ds1307.h,134 :: 		I2C1_Wr(Dec2Bcd(mth  & 0x1F));   // REG 5 - month
	MOVLW      31
	ANDWF      FARG_ds1307_set_date_mth+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,135 :: 		while (!I2C1_Is_Idle())
L_ds1307_set_date29:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_set_date30
;ds1307.h,136 :: 		asm nop;
	NOP
	GOTO       L_ds1307_set_date29
L_ds1307_set_date30:
;ds1307.h,137 :: 		I2C1_Wr(Dec2Bcd(year));          // REG 6 - year
	MOVF       FARG_ds1307_set_date_year+0, 0
	MOVWF      FARG_Dec2Bcd_decnum+0
	CALL       _Dec2Bcd+0
	MOVF       R0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;ds1307.h,138 :: 		while (!I2C1_Is_Idle())
L_ds1307_set_date31:
	CALL       _I2C1_Is_Idle+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_ds1307_set_date32
;ds1307.h,139 :: 		asm nop;
	NOP
	GOTO       L_ds1307_set_date31
L_ds1307_set_date32:
;ds1307.h,140 :: 		I2C1_Stop();
	CALL       _I2C1_Stop+0
;ds1307.h,141 :: 		}
	RETURN
; end of _ds1307_set_date

_Usart_Write_Str:

;util1.h,18 :: 		void Usart_Write_Str (char* string) {
;util1.h,19 :: 		while (strlen(string)) {
L_Usart_Write_Str33:
	MOVF       FARG_Usart_Write_Str_string+0, 0
	MOVWF      FARG_strlen_s+0
	CALL       _strlen+0
	MOVF       R0+0, 0
	IORWF      R0+1, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Usart_Write_Str34
;util1.h,20 :: 		Uart1_Write((char) (*string));
	MOVF       FARG_Usart_Write_Str_string+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;util1.h,21 :: 		++string;
	INCF       FARG_Usart_Write_Str_string+0, 1
;util1.h,22 :: 		}
	GOTO       L_Usart_Write_Str33
L_Usart_Write_Str34:
;util1.h,23 :: 		}
	RETURN
; end of _Usart_Write_Str

_Usart_WriteLn_Str:

;util1.h,25 :: 		void Usart_WriteLn_Str (char* string) {
;util1.h,26 :: 		Usart_Write_Str (string);
	MOVF       FARG_Usart_WriteLn_Str_string+0, 0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;util1.h,27 :: 		Uart1_Write(0x0D);
	MOVLW      13
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;util1.h,28 :: 		Uart1_Write(0x0A);
	MOVLW      10
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;util1.h,29 :: 		}
	RETURN
; end of _Usart_WriteLn_Str

_strConstCopy:

;util1.h,34 :: 		void strConstCopy (char *dest, const char *source) {
;util1.h,35 :: 		while (*source) *dest++ = *source++;
L_strConstCopy35:
	MOVF       FARG_strConstCopy_source+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       FARG_strConstCopy_source+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_strConstCopy36
	MOVF       FARG_strConstCopy_source+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       FARG_strConstCopy_source+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R0+0
	MOVF       FARG_strConstCopy_dest+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
	INCF       FARG_strConstCopy_dest+0, 1
	INCF       FARG_strConstCopy_source+0, 1
	BTFSC      STATUS+0, 2
	INCF       FARG_strConstCopy_source+1, 1
	GOTO       L_strConstCopy35
L_strConstCopy36:
;util1.h,36 :: 		*dest = 0;
	MOVF       FARG_strConstCopy_dest+0, 0
	MOVWF      FSR
	CLRF       INDF+0
;util1.h,37 :: 		}
	RETURN
; end of _strConstCopy

_Init_IO_Pins:

;Chronulator2_0.c,117 :: 		void Init_IO_Pins (void) {
;Chronulator2_0.c,118 :: 		ANSEL     = 0b0000000;      //   -  /
	CLRF       ANSEL+0
;Chronulator2_0.c,119 :: 		ANSELH    = 0b0000000;
	CLRF       ANSELH+0
;Chronulator2_0.c,122 :: 		TRISA.RA0 = INPUT;          // UP
	BSF        TRISA+0, 0
;Chronulator2_0.c,123 :: 		TRISA.RA1 = INPUT;          // DOWN
	BSF        TRISA+0, 1
;Chronulator2_0.c,124 :: 		TRISA.RA2 = INPUT;          // DATE/CLOCK
	BSF        TRISA+0, 2
;Chronulator2_0.c,125 :: 		TRISA.RA3 = INPUT;          // SET
	BSF        TRISA+0, 3
;Chronulator2_0.c,128 :: 		TRISB.RB3 = OUTPUT;
	BCF        TRISB+0, 3
;Chronulator2_0.c,129 :: 		TRISB.RB4 = OUTPUT;
	BCF        TRISB+0, 4
;Chronulator2_0.c,130 :: 		TRISB.RB5 = OUTPUT;
	BCF        TRISB+0, 5
;Chronulator2_0.c,133 :: 		RGB_LED_R = OFF;
	BCF        PORTB+0, 3
;Chronulator2_0.c,134 :: 		RGB_LED_G = OFF;
	BCF        PORTB+0, 4
;Chronulator2_0.c,135 :: 		RGB_LED_B = OFF;
	BCF        PORTB+0, 5
;Chronulator2_0.c,138 :: 		TRISA.RA4 = OUTPUT;         // LED1 GREEN
	BCF        TRISA+0, 4
;Chronulator2_0.c,139 :: 		TRISA.RA5 = OUTPUT;         // LED2 GREEN
	BCF        TRISA+0, 5
;Chronulator2_0.c,140 :: 		TRISE.RA0 = OUTPUT;         // LED1 RED
	BCF        TRISE+0, 0
;Chronulator2_0.c,141 :: 		TRISE.RA1 = OUTPUT;         // LED2 RED
	BCF        TRISE+0, 1
;Chronulator2_0.c,144 :: 		GRN_LED_1 = OFF;
	BCF        PORTA+0, 4
;Chronulator2_0.c,145 :: 		GRN_LED_2 = OFF;
	BCF        PORTA+0, 5
;Chronulator2_0.c,146 :: 		RED_LED_1 = OFF;
	BCF        PORTE+0, 0
;Chronulator2_0.c,147 :: 		RED_LED_2 = OFF;
	BCF        PORTE+0, 1
;Chronulator2_0.c,148 :: 		}
	RETURN
; end of _Init_IO_Pins

_TMR0_setup:

;Chronulator2_0.c,151 :: 		void TMR0_setup(void) {
;Chronulator2_0.c,153 :: 		OPTION_REG.T0CS = 0;  // bit 5 TMR0 Clock Source Select bit:0=Internal Clock (CLKO) / 1=Transition on T0CKI pin
	BCF        OPTION_REG+0, 5
;Chronulator2_0.c,154 :: 		OPTION_REG.T0SE = 0;  // bit 4 TMR0 Source Edge Select bit: 0=low/high / 1=high/low
	BCF        OPTION_REG+0, 4
;Chronulator2_0.c,155 :: 		OPTION_REG.PSA  = 0;  // bit 3 Prescaler Assignment bit: 0=Prescaler is assigned to the Timer0
	BCF        OPTION_REG+0, 3
;Chronulator2_0.c,156 :: 		OPTION_REG.PS2  = 1;  // bits 2-0  PS2:PS0: Prescaler Rate Select bits
	BSF        OPTION_REG+0, 2
;Chronulator2_0.c,157 :: 		OPTION_REG.PS1  = 0;
	BCF        OPTION_REG+0, 1
;Chronulator2_0.c,158 :: 		OPTION_REG.PS0  = 0;
	BCF        OPTION_REG+0, 0
;Chronulator2_0.c,159 :: 		TMR0            = TMR0_PRESET;   // preset for timer register(2 cycle adjusted)
	MOVLW      94
	MOVWF      TMR0+0
;Chronulator2_0.c,160 :: 		INTCON.T0IE     = ENABLE;        //    TMR0
	BSF        INTCON+0, 5
;Chronulator2_0.c,161 :: 		}
	RETURN
; end of _TMR0_setup

_UpdateHoursDuty:

;Chronulator2_0.c,163 :: 		void UpdateHoursDuty (void) {
;Chronulator2_0.c,164 :: 		PWM2_Set_Duty(hoursDuty);
	MOVF       _hoursDuty+0, 0
	MOVWF      FARG_PWM2_Set_Duty_new_duty+0
	CALL       _PWM2_Set_Duty+0
;Chronulator2_0.c,165 :: 		}
	RETURN
; end of _UpdateHoursDuty

_UpdateMinutesDuty:

;Chronulator2_0.c,167 :: 		void UpdateMinutesDuty (void) {
;Chronulator2_0.c,168 :: 		PWM1_Set_Duty(minutesDuty);
	MOVF       _minutesDuty+0, 0
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;Chronulator2_0.c,169 :: 		}
	RETURN
; end of _UpdateMinutesDuty

_UpdateMonthsDuty:

;Chronulator2_0.c,171 :: 		void UpdateMonthsDuty (void) {
;Chronulator2_0.c,172 :: 		PWM2_Set_Duty(monthsDuty);
	MOVF       _monthsDuty+0, 0
	MOVWF      FARG_PWM2_Set_Duty_new_duty+0
	CALL       _PWM2_Set_Duty+0
;Chronulator2_0.c,173 :: 		}
	RETURN
; end of _UpdateMonthsDuty

_UpdateDaysDuty:

;Chronulator2_0.c,175 :: 		void UpdateDaysDuty (void) {
;Chronulator2_0.c,176 :: 		PWM1_Set_Duty(daysDuty);
	MOVF       _daysDuty+0, 0
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;Chronulator2_0.c,177 :: 		}
	RETURN
; end of _UpdateDaysDuty

_UpdateYearDuty1:

;Chronulator2_0.c,179 :: 		void UpdateYearDuty1 (void) {
;Chronulator2_0.c,180 :: 		PWM2_Set_Duty(yearDuty1);
	MOVF       _yearDuty1+0, 0
	MOVWF      FARG_PWM2_Set_Duty_new_duty+0
	CALL       _PWM2_Set_Duty+0
;Chronulator2_0.c,181 :: 		}
	RETURN
; end of _UpdateYearDuty1

_UpdateYearDuty2:

;Chronulator2_0.c,183 :: 		void UpdateYearDuty2 (void) {
;Chronulator2_0.c,184 :: 		PWM1_Set_Duty(yearDuty2);
	MOVF       _yearDuty2+0, 0
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;Chronulator2_0.c,185 :: 		}
	RETURN
; end of _UpdateYearDuty2

_SetDutyHours:

;Chronulator2_0.c,187 :: 		void SetDutyHours (char newDuty) {
;Chronulator2_0.c,188 :: 		if (hoursDuty != newDuty) {
	MOVF       _hoursDuty+0, 0
	XORWF      FARG_SetDutyHours_newDuty+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_SetDutyHours37
;Chronulator2_0.c,189 :: 		hoursDuty = newDuty;
	MOVF       FARG_SetDutyHours_newDuty+0, 0
	MOVWF      _hoursDuty+0
;Chronulator2_0.c,190 :: 		UpdateHoursDuty();
	CALL       _UpdateHoursDuty+0
;Chronulator2_0.c,191 :: 		}
L_SetDutyHours37:
;Chronulator2_0.c,192 :: 		}
	RETURN
; end of _SetDutyHours

_SetDutyMinutes:

;Chronulator2_0.c,194 :: 		void SetDutyMinutes (char newDuty) {
;Chronulator2_0.c,195 :: 		if (minutesDuty != newDuty) {
	MOVF       _minutesDuty+0, 0
	XORWF      FARG_SetDutyMinutes_newDuty+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_SetDutyMinutes38
;Chronulator2_0.c,196 :: 		minutesDuty = newDuty;
	MOVF       FARG_SetDutyMinutes_newDuty+0, 0
	MOVWF      _minutesDuty+0
;Chronulator2_0.c,197 :: 		UpdateMinutesDuty();
	CALL       _UpdateMinutesDuty+0
;Chronulator2_0.c,198 :: 		}
L_SetDutyMinutes38:
;Chronulator2_0.c,199 :: 		}
	RETURN
; end of _SetDutyMinutes

_SetDutyMonths:

;Chronulator2_0.c,201 :: 		void SetDutyMonths (char newDuty) {
;Chronulator2_0.c,202 :: 		if (monthsDuty != newDuty) {
	MOVF       _monthsDuty+0, 0
	XORWF      FARG_SetDutyMonths_newDuty+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_SetDutyMonths39
;Chronulator2_0.c,203 :: 		monthsDuty = newDuty;
	MOVF       FARG_SetDutyMonths_newDuty+0, 0
	MOVWF      _monthsDuty+0
;Chronulator2_0.c,204 :: 		UpdateMonthsDuty();
	CALL       _UpdateMonthsDuty+0
;Chronulator2_0.c,205 :: 		}
L_SetDutyMonths39:
;Chronulator2_0.c,206 :: 		}
	RETURN
; end of _SetDutyMonths

_SetDutyDays:

;Chronulator2_0.c,208 :: 		void SetDutyDays (char newDuty) {
;Chronulator2_0.c,209 :: 		if (daysDuty != newDuty) {
	MOVF       _daysDuty+0, 0
	XORWF      FARG_SetDutyDays_newDuty+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_SetDutyDays40
;Chronulator2_0.c,210 :: 		daysDuty = newDuty;
	MOVF       FARG_SetDutyDays_newDuty+0, 0
	MOVWF      _daysDuty+0
;Chronulator2_0.c,211 :: 		UpdateDaysDuty();
	CALL       _UpdateDaysDuty+0
;Chronulator2_0.c,212 :: 		}
L_SetDutyDays40:
;Chronulator2_0.c,213 :: 		}
	RETURN
; end of _SetDutyDays

_SetDutyYear1:

;Chronulator2_0.c,215 :: 		void SetDutyYear1 (char newDuty) {
;Chronulator2_0.c,216 :: 		if (yearDuty1 != newDuty) {
	MOVF       _yearDuty1+0, 0
	XORWF      FARG_SetDutyYear1_newDuty+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_SetDutyYear141
;Chronulator2_0.c,217 :: 		yearDuty1 = newDuty;
	MOVF       FARG_SetDutyYear1_newDuty+0, 0
	MOVWF      _yearDuty1+0
;Chronulator2_0.c,218 :: 		UpdateYearDuty1();
	CALL       _UpdateYearDuty1+0
;Chronulator2_0.c,219 :: 		}
L_SetDutyYear141:
;Chronulator2_0.c,220 :: 		}
	RETURN
; end of _SetDutyYear1

_SetDutyYear2:

;Chronulator2_0.c,222 :: 		void SetDutyYear2 (char newDuty) {
;Chronulator2_0.c,223 :: 		if (yearDuty2 != newDuty) {
	MOVF       _yearDuty2+0, 0
	XORWF      FARG_SetDutyYear2_newDuty+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_SetDutyYear242
;Chronulator2_0.c,224 :: 		yearDuty2 = newDuty;
	MOVF       FARG_SetDutyYear2_newDuty+0, 0
	MOVWF      _yearDuty2+0
;Chronulator2_0.c,225 :: 		UpdateYearDuty2();
	CALL       _UpdateYearDuty2+0
;Chronulator2_0.c,226 :: 		}
L_SetDutyYear242:
;Chronulator2_0.c,227 :: 		}
	RETURN
; end of _SetDutyYear2

_ButtonHandler:

;Chronulator2_0.c,229 :: 		void ButtonHandler (void) {
;Chronulator2_0.c,230 :: 		if (Button(&PORTA, 0, 10, 1)) oldstate[0] = 1;  // UP button pressed
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler43
	MOVLW      1
	MOVWF      _oldstate+0
L_ButtonHandler43:
;Chronulator2_0.c,231 :: 		if (Button(&PORTA, 1, 10, 1)) oldstate[1] = 1;  // DOWN button pressed
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler44
	MOVLW      1
	MOVWF      _oldstate+1
L_ButtonHandler44:
;Chronulator2_0.c,232 :: 		if (Button(&PORTA, 2, 10, 1)) oldstate[2] = 1;  // DATE/TIME button pressed
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler45
	MOVLW      1
	MOVWF      _oldstate+2
L_ButtonHandler45:
;Chronulator2_0.c,233 :: 		if (Button(&PORTA, 3, 10, 1)) oldstate[3] = 1;  // SET button pressed
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler46
	MOVLW      1
	MOVWF      _oldstate+3
L_ButtonHandler46:
;Chronulator2_0.c,235 :: 		if (Button(&PORTA, 0, 10, 0) && oldstate[0]) {  // UP button released
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler49
	MOVF       _oldstate+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler49
L__ButtonHandler237:
;Chronulator2_0.c,236 :: 		switch (OperationMode) {
	GOTO       L_ButtonHandler50
;Chronulator2_0.c,237 :: 		case 0:
L_ButtonHandler52:
;Chronulator2_0.c,238 :: 		break;
	GOTO       L_ButtonHandler51
;Chronulator2_0.c,239 :: 		case 1:
L_ButtonHandler53:
;Chronulator2_0.c,240 :: 		switch (SetMode) {
	GOTO       L_ButtonHandler54
;Chronulator2_0.c,241 :: 		case 0:
L_ButtonHandler56:
;Chronulator2_0.c,242 :: 		break;
	GOTO       L_ButtonHandler55
;Chronulator2_0.c,243 :: 		case 1:
L_ButtonHandler57:
;Chronulator2_0.c,244 :: 		if (new_hr < 24) {
	MOVLW      24
	SUBWF      _new_hr+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler58
;Chronulator2_0.c,245 :: 		new_hr++;
	INCF       _new_hr+0, 1
;Chronulator2_0.c,246 :: 		}
L_ButtonHandler58:
;Chronulator2_0.c,247 :: 		SetDutyHours(EEPROM_Read(hr_duty_epr_adr[new_hr]));
	MOVF       _new_hr+0, 0
	ADDLW      _hr_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_hr_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyHours_newDuty+0
	CALL       _SetDutyHours+0
;Chronulator2_0.c,248 :: 		break;
	GOTO       L_ButtonHandler55
;Chronulator2_0.c,249 :: 		case 2:
L_ButtonHandler59:
;Chronulator2_0.c,250 :: 		if (new_mn < 60) {
	MOVLW      60
	SUBWF      _new_mn+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler60
;Chronulator2_0.c,251 :: 		new_mn++;
	INCF       _new_mn+0, 1
;Chronulator2_0.c,252 :: 		}
L_ButtonHandler60:
;Chronulator2_0.c,253 :: 		SetDutyMinutes(EEPROM_Read(mn_duty_epr_adr[new_mn]));
	MOVF       _new_mn+0, 0
	ADDLW      _mn_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_mn_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyMinutes_newDuty+0
	CALL       _SetDutyMinutes+0
;Chronulator2_0.c,254 :: 		break;
	GOTO       L_ButtonHandler55
;Chronulator2_0.c,255 :: 		case 3:
L_ButtonHandler61:
;Chronulator2_0.c,256 :: 		if (new_mth < 12) {
	MOVLW      12
	SUBWF      _new_mth+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler62
;Chronulator2_0.c,257 :: 		new_mth++;
	INCF       _new_mth+0, 1
;Chronulator2_0.c,258 :: 		}
L_ButtonHandler62:
;Chronulator2_0.c,259 :: 		SetDutyMonths(EEPROM_Read(mth_duty_epr_adr[new_mth]));
	MOVF       _new_mth+0, 0
	ADDLW      _mth_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_mth_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyMonths_newDuty+0
	CALL       _SetDutyMonths+0
;Chronulator2_0.c,260 :: 		break;
	GOTO       L_ButtonHandler55
;Chronulator2_0.c,261 :: 		case 4:
L_ButtonHandler63:
;Chronulator2_0.c,262 :: 		if (new_day < 31) {
	MOVLW      31
	SUBWF      _new_day+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler64
;Chronulator2_0.c,263 :: 		new_day++;
	INCF       _new_day+0, 1
;Chronulator2_0.c,264 :: 		}
L_ButtonHandler64:
;Chronulator2_0.c,265 :: 		SetDutyDays(EEPROM_Read(day_duty_epr_adr[new_day]));
	MOVF       _new_day+0, 0
	ADDLW      _day_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_day_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyDays_newDuty+0
	CALL       _SetDutyDays+0
;Chronulator2_0.c,266 :: 		break;
	GOTO       L_ButtonHandler55
;Chronulator2_0.c,267 :: 		case 5:
L_ButtonHandler65:
;Chronulator2_0.c,268 :: 		if (new_year < 31) {
	MOVLW      31
	SUBWF      _new_year+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler66
;Chronulator2_0.c,269 :: 		new_year++;
	INCF       _new_year+0, 1
;Chronulator2_0.c,270 :: 		}
L_ButtonHandler66:
;Chronulator2_0.c,271 :: 		SetDutyYear2(EEPROM_Read(day_duty_epr_adr[new_year]));
	MOVF       _new_year+0, 0
	ADDLW      _day_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_day_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyYear2_newDuty+0
	CALL       _SetDutyYear2+0
;Chronulator2_0.c,272 :: 		break;
	GOTO       L_ButtonHandler55
;Chronulator2_0.c,273 :: 		}
L_ButtonHandler54:
	MOVF       _SetMode+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler56
	MOVF       _SetMode+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler57
	MOVF       _SetMode+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler59
	MOVF       _SetMode+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler61
	MOVF       _SetMode+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler63
	MOVF       _SetMode+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler65
L_ButtonHandler55:
;Chronulator2_0.c,274 :: 		break;
	GOTO       L_ButtonHandler51
;Chronulator2_0.c,275 :: 		case 2:
L_ButtonHandler67:
;Chronulator2_0.c,276 :: 		if (new_duty < 255) {
	MOVLW      255
	SUBWF      _new_duty+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler68
;Chronulator2_0.c,277 :: 		new_duty++;
	INCF       _new_duty+0, 1
;Chronulator2_0.c,278 :: 		switch (CalibrationMode) {
	GOTO       L_ButtonHandler69
;Chronulator2_0.c,279 :: 		case 2:
L_ButtonHandler71:
;Chronulator2_0.c,280 :: 		SetDutyHours(new_duty);
	MOVF       _new_duty+0, 0
	MOVWF      FARG_SetDutyHours_newDuty+0
	CALL       _SetDutyHours+0
;Chronulator2_0.c,281 :: 		break;
	GOTO       L_ButtonHandler70
;Chronulator2_0.c,282 :: 		case 3:
L_ButtonHandler72:
;Chronulator2_0.c,283 :: 		SetDutyMinutes(new_duty);
	MOVF       _new_duty+0, 0
	MOVWF      FARG_SetDutyMinutes_newDuty+0
	CALL       _SetDutyMinutes+0
;Chronulator2_0.c,284 :: 		ByteToStr(mn, tmp);
	MOVF       _mn+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _tmp+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Chronulator2_0.c,285 :: 		Usart_Write_Str (tmp);
	MOVLW      _tmp+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,286 :: 		Usart_Write_Str (" - ");
	MOVLW      ?lstr13_Chronulator2_0+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,287 :: 		break;
	GOTO       L_ButtonHandler70
;Chronulator2_0.c,288 :: 		case 4:
L_ButtonHandler73:
;Chronulator2_0.c,289 :: 		SetDutyMonths(new_duty);
	MOVF       _new_duty+0, 0
	MOVWF      FARG_SetDutyMonths_newDuty+0
	CALL       _SetDutyMonths+0
;Chronulator2_0.c,290 :: 		break;
	GOTO       L_ButtonHandler70
;Chronulator2_0.c,291 :: 		case 5:
L_ButtonHandler74:
;Chronulator2_0.c,292 :: 		SetDutyDays(new_duty);
	MOVF       _new_duty+0, 0
	MOVWF      FARG_SetDutyDays_newDuty+0
	CALL       _SetDutyDays+0
;Chronulator2_0.c,293 :: 		break;
	GOTO       L_ButtonHandler70
;Chronulator2_0.c,294 :: 		}
L_ButtonHandler69:
	MOVF       _CalibrationMode+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler71
	MOVF       _CalibrationMode+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler72
	MOVF       _CalibrationMode+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler73
	MOVF       _CalibrationMode+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler74
L_ButtonHandler70:
;Chronulator2_0.c,295 :: 		ByteToStr(new_duty, tmp);
	MOVF       _new_duty+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _tmp+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Chronulator2_0.c,296 :: 		Usart_WriteLn_Str (tmp);
	MOVLW      _tmp+0
	MOVWF      FARG_Usart_WriteLn_Str_string+0
	CALL       _Usart_WriteLn_Str+0
;Chronulator2_0.c,297 :: 		}
L_ButtonHandler68:
;Chronulator2_0.c,298 :: 		break;
	GOTO       L_ButtonHandler51
;Chronulator2_0.c,299 :: 		}
L_ButtonHandler50:
	MOVF       _OperationMode+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler52
	MOVF       _OperationMode+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler53
	MOVF       _OperationMode+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler67
L_ButtonHandler51:
;Chronulator2_0.c,300 :: 		strConstCopy (out_str1, dbg1_message[6]);       // "UP btn"
	MOVLW      _out_str1+0
	MOVWF      FARG_strConstCopy_dest+0
	MOVF       _dbg1_message+12, 0
	MOVWF      FARG_strConstCopy_source+0
	MOVF       _dbg1_message+13, 0
	MOVWF      FARG_strConstCopy_source+1
	CALL       _strConstCopy+0
;Chronulator2_0.c,301 :: 		Usart_WriteLn_Str(out_str1);
	MOVLW      _out_str1+0
	MOVWF      FARG_Usart_WriteLn_Str_string+0
	CALL       _Usart_WriteLn_Str+0
;Chronulator2_0.c,302 :: 		oldstate[0] = 0;
	CLRF       _oldstate+0
;Chronulator2_0.c,303 :: 		}
	GOTO       L_ButtonHandler75
L_ButtonHandler49:
;Chronulator2_0.c,304 :: 		else if (Button(&PORTA, 1, 10, 0) && oldstate[1]) { // DOWN button released
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler78
	MOVF       _oldstate+1, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler78
L__ButtonHandler236:
;Chronulator2_0.c,305 :: 		switch (OperationMode) {
	GOTO       L_ButtonHandler79
;Chronulator2_0.c,306 :: 		case 0:
L_ButtonHandler81:
;Chronulator2_0.c,307 :: 		break;
	GOTO       L_ButtonHandler80
;Chronulator2_0.c,308 :: 		case 1:
L_ButtonHandler82:
;Chronulator2_0.c,309 :: 		switch (SetMode) {
	GOTO       L_ButtonHandler83
;Chronulator2_0.c,310 :: 		case 0:
L_ButtonHandler85:
;Chronulator2_0.c,311 :: 		break;
	GOTO       L_ButtonHandler84
;Chronulator2_0.c,312 :: 		case 1:
L_ButtonHandler86:
;Chronulator2_0.c,313 :: 		if (new_hr > 0) {
	MOVF       _new_hr+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler87
;Chronulator2_0.c,314 :: 		new_hr--;
	DECF       _new_hr+0, 1
;Chronulator2_0.c,315 :: 		}
L_ButtonHandler87:
;Chronulator2_0.c,316 :: 		SetDutyHours(EEPROM_Read(hr_duty_epr_adr[new_hr]));
	MOVF       _new_hr+0, 0
	ADDLW      _hr_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_hr_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyHours_newDuty+0
	CALL       _SetDutyHours+0
;Chronulator2_0.c,317 :: 		break;
	GOTO       L_ButtonHandler84
;Chronulator2_0.c,318 :: 		case 2:
L_ButtonHandler88:
;Chronulator2_0.c,319 :: 		if (new_mn > 0) {
	MOVF       _new_mn+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler89
;Chronulator2_0.c,320 :: 		new_mn--;
	DECF       _new_mn+0, 1
;Chronulator2_0.c,321 :: 		}
L_ButtonHandler89:
;Chronulator2_0.c,322 :: 		SetDutyMinutes(EEPROM_Read(mn_duty_epr_adr[new_mn]));
	MOVF       _new_mn+0, 0
	ADDLW      _mn_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_mn_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyMinutes_newDuty+0
	CALL       _SetDutyMinutes+0
;Chronulator2_0.c,323 :: 		break;
	GOTO       L_ButtonHandler84
;Chronulator2_0.c,324 :: 		case 3:
L_ButtonHandler90:
;Chronulator2_0.c,325 :: 		if (new_mth > 1) {
	MOVF       _new_mth+0, 0
	SUBLW      1
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler91
;Chronulator2_0.c,326 :: 		new_mth--;
	DECF       _new_mth+0, 1
;Chronulator2_0.c,327 :: 		}
L_ButtonHandler91:
;Chronulator2_0.c,328 :: 		SetDutyMonths(EEPROM_Read(mth_duty_epr_adr[new_mth]));
	MOVF       _new_mth+0, 0
	ADDLW      _mth_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_mth_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyMonths_newDuty+0
	CALL       _SetDutyMonths+0
;Chronulator2_0.c,329 :: 		break;
	GOTO       L_ButtonHandler84
;Chronulator2_0.c,330 :: 		case 4:
L_ButtonHandler92:
;Chronulator2_0.c,331 :: 		if (new_day > 1) {
	MOVF       _new_day+0, 0
	SUBLW      1
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler93
;Chronulator2_0.c,332 :: 		new_day--;
	DECF       _new_day+0, 1
;Chronulator2_0.c,333 :: 		}
L_ButtonHandler93:
;Chronulator2_0.c,334 :: 		SetDutyDays(EEPROM_Read(day_duty_epr_adr[new_day]));
	MOVF       _new_day+0, 0
	ADDLW      _day_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_day_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyDays_newDuty+0
	CALL       _SetDutyDays+0
;Chronulator2_0.c,335 :: 		break;
	GOTO       L_ButtonHandler84
;Chronulator2_0.c,336 :: 		case 5:
L_ButtonHandler94:
;Chronulator2_0.c,337 :: 		if (new_year > 1) {
	MOVF       _new_year+0, 0
	SUBLW      1
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler95
;Chronulator2_0.c,338 :: 		new_year--;
	DECF       _new_year+0, 1
;Chronulator2_0.c,339 :: 		}
L_ButtonHandler95:
;Chronulator2_0.c,340 :: 		SetDutyYear2(EEPROM_Read(day_duty_epr_adr[new_year]));
	MOVF       _new_year+0, 0
	ADDLW      _day_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_day_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyYear2_newDuty+0
	CALL       _SetDutyYear2+0
;Chronulator2_0.c,341 :: 		break;
	GOTO       L_ButtonHandler84
;Chronulator2_0.c,342 :: 		}
L_ButtonHandler83:
	MOVF       _SetMode+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler85
	MOVF       _SetMode+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler86
	MOVF       _SetMode+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler88
	MOVF       _SetMode+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler90
	MOVF       _SetMode+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler92
	MOVF       _SetMode+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler94
L_ButtonHandler84:
;Chronulator2_0.c,343 :: 		break;
	GOTO       L_ButtonHandler80
;Chronulator2_0.c,344 :: 		case 2:
L_ButtonHandler96:
;Chronulator2_0.c,345 :: 		if (new_duty > 0) {
	MOVF       _new_duty+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler97
;Chronulator2_0.c,346 :: 		new_duty--;
	DECF       _new_duty+0, 1
;Chronulator2_0.c,347 :: 		switch (CalibrationMode) {
	GOTO       L_ButtonHandler98
;Chronulator2_0.c,348 :: 		case 2:
L_ButtonHandler100:
;Chronulator2_0.c,349 :: 		SetDutyHours(new_duty);
	MOVF       _new_duty+0, 0
	MOVWF      FARG_SetDutyHours_newDuty+0
	CALL       _SetDutyHours+0
;Chronulator2_0.c,350 :: 		break;
	GOTO       L_ButtonHandler99
;Chronulator2_0.c,351 :: 		case 3:
L_ButtonHandler101:
;Chronulator2_0.c,352 :: 		SetDutyMinutes(new_duty);
	MOVF       _new_duty+0, 0
	MOVWF      FARG_SetDutyMinutes_newDuty+0
	CALL       _SetDutyMinutes+0
;Chronulator2_0.c,353 :: 		ByteToStr(mn, tmp);
	MOVF       _mn+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _tmp+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Chronulator2_0.c,354 :: 		Usart_Write_Str (tmp);
	MOVLW      _tmp+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,355 :: 		Usart_Write_Str (" - ");
	MOVLW      ?lstr14_Chronulator2_0+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,356 :: 		break;
	GOTO       L_ButtonHandler99
;Chronulator2_0.c,357 :: 		case 4:
L_ButtonHandler102:
;Chronulator2_0.c,358 :: 		SetDutyMonths(new_duty);
	MOVF       _new_duty+0, 0
	MOVWF      FARG_SetDutyMonths_newDuty+0
	CALL       _SetDutyMonths+0
;Chronulator2_0.c,359 :: 		break;
	GOTO       L_ButtonHandler99
;Chronulator2_0.c,360 :: 		case 5:
L_ButtonHandler103:
;Chronulator2_0.c,361 :: 		SetDutyDays(new_duty);
	MOVF       _new_duty+0, 0
	MOVWF      FARG_SetDutyDays_newDuty+0
	CALL       _SetDutyDays+0
;Chronulator2_0.c,362 :: 		break;
	GOTO       L_ButtonHandler99
;Chronulator2_0.c,363 :: 		}
L_ButtonHandler98:
	MOVF       _CalibrationMode+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler100
	MOVF       _CalibrationMode+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler101
	MOVF       _CalibrationMode+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler102
	MOVF       _CalibrationMode+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler103
L_ButtonHandler99:
;Chronulator2_0.c,364 :: 		ByteToStr(new_duty, tmp);
	MOVF       _new_duty+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _tmp+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Chronulator2_0.c,365 :: 		Usart_WriteLn_Str (tmp);
	MOVLW      _tmp+0
	MOVWF      FARG_Usart_WriteLn_Str_string+0
	CALL       _Usart_WriteLn_Str+0
;Chronulator2_0.c,366 :: 		}
L_ButtonHandler97:
;Chronulator2_0.c,367 :: 		break;
	GOTO       L_ButtonHandler80
;Chronulator2_0.c,368 :: 		}
L_ButtonHandler79:
	MOVF       _OperationMode+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler81
	MOVF       _OperationMode+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler82
	MOVF       _OperationMode+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler96
L_ButtonHandler80:
;Chronulator2_0.c,369 :: 		strConstCopy (out_str1, dbg1_message[7]);       // "DOWN btn"
	MOVLW      _out_str1+0
	MOVWF      FARG_strConstCopy_dest+0
	MOVF       _dbg1_message+14, 0
	MOVWF      FARG_strConstCopy_source+0
	MOVF       _dbg1_message+15, 0
	MOVWF      FARG_strConstCopy_source+1
	CALL       _strConstCopy+0
;Chronulator2_0.c,370 :: 		Usart_WriteLn_Str(out_str1);
	MOVLW      _out_str1+0
	MOVWF      FARG_Usart_WriteLn_Str_string+0
	CALL       _Usart_WriteLn_Str+0
;Chronulator2_0.c,371 :: 		oldstate[1] = 0;
	CLRF       _oldstate+1
;Chronulator2_0.c,372 :: 		}
	GOTO       L_ButtonHandler104
L_ButtonHandler78:
;Chronulator2_0.c,373 :: 		else if (Button(&PORTA, 2, 10, 0) && oldstate[2]) { // DATE/TIME button released
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler107
	MOVF       _oldstate+2, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler107
L__ButtonHandler235:
;Chronulator2_0.c,374 :: 		switch (OperationMode) {
	GOTO       L_ButtonHandler108
;Chronulator2_0.c,375 :: 		case 0:
L_ButtonHandler110:
;Chronulator2_0.c,376 :: 		switch (DisplayMode) {
	GOTO       L_ButtonHandler111
;Chronulator2_0.c,377 :: 		case 0:
L_ButtonHandler113:
;Chronulator2_0.c,378 :: 		DisplayMode = 1;
	MOVLW      1
	MOVWF      _DisplayMode+0
;Chronulator2_0.c,379 :: 		UpdateMonthsDuty();
	CALL       _UpdateMonthsDuty+0
;Chronulator2_0.c,380 :: 		UpdateDaysDuty();
	CALL       _UpdateDaysDuty+0
;Chronulator2_0.c,381 :: 		break;
	GOTO       L_ButtonHandler112
;Chronulator2_0.c,382 :: 		case 1:
L_ButtonHandler114:
;Chronulator2_0.c,383 :: 		DisplayMode = 0;
	CLRF       _DisplayMode+0
;Chronulator2_0.c,384 :: 		UpdateHoursDuty();
	CALL       _UpdateHoursDuty+0
;Chronulator2_0.c,385 :: 		UpdateMinutesDuty();
	CALL       _UpdateMinutesDuty+0
;Chronulator2_0.c,386 :: 		break;
	GOTO       L_ButtonHandler112
;Chronulator2_0.c,387 :: 		}
L_ButtonHandler111:
	MOVF       _DisplayMode+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler113
	MOVF       _DisplayMode+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler114
L_ButtonHandler112:
;Chronulator2_0.c,388 :: 		break;
	GOTO       L_ButtonHandler109
;Chronulator2_0.c,389 :: 		case 1:
L_ButtonHandler115:
;Chronulator2_0.c,390 :: 		break;
	GOTO       L_ButtonHandler109
;Chronulator2_0.c,391 :: 		case 2:
L_ButtonHandler116:
;Chronulator2_0.c,392 :: 		if (CalibrationMode == 1) {
	MOVF       _CalibrationMode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_ButtonHandler117
;Chronulator2_0.c,393 :: 		CalibrationSelect++;
	INCF       _CalibrationSelect+0, 1
;Chronulator2_0.c,394 :: 		if (CalibrationSelect == 5) {
	MOVF       _CalibrationSelect+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L_ButtonHandler118
;Chronulator2_0.c,395 :: 		CalibrationSelect = 1;
	MOVLW      1
	MOVWF      _CalibrationSelect+0
;Chronulator2_0.c,396 :: 		}
L_ButtonHandler118:
;Chronulator2_0.c,397 :: 		switch (CalibrationSelect) {
	GOTO       L_ButtonHandler119
;Chronulator2_0.c,398 :: 		case 1:
L_ButtonHandler121:
;Chronulator2_0.c,399 :: 		GRN_LED_1 = ON;
	BSF        PORTA+0, 4
;Chronulator2_0.c,400 :: 		GRN_LED_2 = OFF;
	BCF        PORTA+0, 5
;Chronulator2_0.c,401 :: 		RED_LED_1 = OFF;
	BCF        PORTE+0, 0
;Chronulator2_0.c,402 :: 		RED_LED_2 = OFF;
	BCF        PORTE+0, 1
;Chronulator2_0.c,403 :: 		break;
	GOTO       L_ButtonHandler120
;Chronulator2_0.c,404 :: 		case 2:
L_ButtonHandler122:
;Chronulator2_0.c,405 :: 		GRN_LED_1 = OFF;
	BCF        PORTA+0, 4
;Chronulator2_0.c,406 :: 		GRN_LED_2 = ON;
	BSF        PORTA+0, 5
;Chronulator2_0.c,407 :: 		RED_LED_1 = OFF;
	BCF        PORTE+0, 0
;Chronulator2_0.c,408 :: 		RED_LED_2 = OFF;
	BCF        PORTE+0, 1
;Chronulator2_0.c,409 :: 		break;
	GOTO       L_ButtonHandler120
;Chronulator2_0.c,410 :: 		case 3:
L_ButtonHandler123:
;Chronulator2_0.c,411 :: 		GRN_LED_1 = OFF;
	BCF        PORTA+0, 4
;Chronulator2_0.c,412 :: 		GRN_LED_2 = OFF;
	BCF        PORTA+0, 5
;Chronulator2_0.c,413 :: 		RED_LED_1 = ON;
	BSF        PORTE+0, 0
;Chronulator2_0.c,414 :: 		RED_LED_2 = OFF;
	BCF        PORTE+0, 1
;Chronulator2_0.c,415 :: 		break;
	GOTO       L_ButtonHandler120
;Chronulator2_0.c,416 :: 		case 4:
L_ButtonHandler124:
;Chronulator2_0.c,417 :: 		GRN_LED_1 = OFF;
	BCF        PORTA+0, 4
;Chronulator2_0.c,418 :: 		GRN_LED_2 = OFF;
	BCF        PORTA+0, 5
;Chronulator2_0.c,419 :: 		RED_LED_1 = OFF;
	BCF        PORTE+0, 0
;Chronulator2_0.c,420 :: 		RED_LED_2 = ON;
	BSF        PORTE+0, 1
;Chronulator2_0.c,421 :: 		break;
	GOTO       L_ButtonHandler120
;Chronulator2_0.c,422 :: 		}
L_ButtonHandler119:
	MOVF       _CalibrationSelect+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler121
	MOVF       _CalibrationSelect+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler122
	MOVF       _CalibrationSelect+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler123
	MOVF       _CalibrationSelect+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler124
L_ButtonHandler120:
;Chronulator2_0.c,423 :: 		}
L_ButtonHandler117:
;Chronulator2_0.c,424 :: 		break;
	GOTO       L_ButtonHandler109
;Chronulator2_0.c,425 :: 		}
L_ButtonHandler108:
	MOVF       _OperationMode+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler110
	MOVF       _OperationMode+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler115
	MOVF       _OperationMode+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler116
L_ButtonHandler109:
;Chronulator2_0.c,426 :: 		strConstCopy (out_str1, dbg1_message[8]);       // "DATE/TIME btn"
	MOVLW      _out_str1+0
	MOVWF      FARG_strConstCopy_dest+0
	MOVF       _dbg1_message+16, 0
	MOVWF      FARG_strConstCopy_source+0
	MOVF       _dbg1_message+17, 0
	MOVWF      FARG_strConstCopy_source+1
	CALL       _strConstCopy+0
;Chronulator2_0.c,427 :: 		Usart_WriteLn_Str(out_str1);
	MOVLW      _out_str1+0
	MOVWF      FARG_Usart_WriteLn_Str_string+0
	CALL       _Usart_WriteLn_Str+0
;Chronulator2_0.c,428 :: 		oldstate[2] = 0;
	CLRF       _oldstate+2
;Chronulator2_0.c,429 :: 		}
	GOTO       L_ButtonHandler125
L_ButtonHandler107:
;Chronulator2_0.c,430 :: 		else if (Button(&PORTA, 3, 10, 0) && oldstate[3]) { // SET button released
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler128
	MOVF       _oldstate+3, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler128
L__ButtonHandler234:
;Chronulator2_0.c,431 :: 		switch (OperationMode) {
	GOTO       L_ButtonHandler129
;Chronulator2_0.c,432 :: 		case 0:
L_ButtonHandler131:
;Chronulator2_0.c,433 :: 		OperationMode = 1;
	MOVLW      1
	MOVWF      _OperationMode+0
;Chronulator2_0.c,434 :: 		SetMode = 1;
	MOVLW      1
	MOVWF      _SetMode+0
;Chronulator2_0.c,435 :: 		new_hr = hr;
	MOVF       _hr+0, 0
	MOVWF      _new_hr+0
;Chronulator2_0.c,436 :: 		new_mn = mn;
	MOVF       _mn+0, 0
	MOVWF      _new_mn+0
;Chronulator2_0.c,437 :: 		new_mth = mth;
	MOVF       _mth+0, 0
	MOVWF      _new_mth+0
;Chronulator2_0.c,438 :: 		new_day = day;
	MOVF       _day+0, 0
	MOVWF      _new_day+0
;Chronulator2_0.c,439 :: 		new_year = year;
	MOVF       _year+0, 0
	MOVWF      _new_year+0
;Chronulator2_0.c,440 :: 		RGB_LED_G = ON;
	BSF        PORTB+0, 4
;Chronulator2_0.c,441 :: 		RGB_LED_R = OFF;
	BCF        PORTB+0, 3
;Chronulator2_0.c,442 :: 		GRN_LED_1 = ON;
	BSF        PORTA+0, 4
;Chronulator2_0.c,443 :: 		GRN_LED_2 = ON;
	BSF        PORTA+0, 5
;Chronulator2_0.c,444 :: 		RED_LED_1 = OFF;
	BCF        PORTE+0, 0
;Chronulator2_0.c,445 :: 		RED_LED_2 = OFF;
	BCF        PORTE+0, 1
;Chronulator2_0.c,446 :: 		UpdateHoursDuty();
	CALL       _UpdateHoursDuty+0
;Chronulator2_0.c,447 :: 		UpdateMinutesDuty();
	CALL       _UpdateMinutesDuty+0
;Chronulator2_0.c,448 :: 		strConstCopy (out_str1, dbg1_message[4]);  // "Set mode"
	MOVLW      _out_str1+0
	MOVWF      FARG_strConstCopy_dest+0
	MOVF       _dbg1_message+8, 0
	MOVWF      FARG_strConstCopy_source+0
	MOVF       _dbg1_message+9, 0
	MOVWF      FARG_strConstCopy_source+1
	CALL       _strConstCopy+0
;Chronulator2_0.c,449 :: 		Usart_WriteLn_Str(out_str1);
	MOVLW      _out_str1+0
	MOVWF      FARG_Usart_WriteLn_Str_string+0
	CALL       _Usart_WriteLn_Str+0
;Chronulator2_0.c,450 :: 		break;
	GOTO       L_ButtonHandler130
;Chronulator2_0.c,451 :: 		case 1:
L_ButtonHandler132:
;Chronulator2_0.c,452 :: 		SetMode++;
	INCF       _SetMode+0, 1
;Chronulator2_0.c,453 :: 		switch (SetMode) {
	GOTO       L_ButtonHandler133
;Chronulator2_0.c,454 :: 		case 0:
L_ButtonHandler135:
;Chronulator2_0.c,455 :: 		break;
	GOTO       L_ButtonHandler134
;Chronulator2_0.c,456 :: 		case 1:
L_ButtonHandler136:
;Chronulator2_0.c,457 :: 		case 2:
L_ButtonHandler137:
;Chronulator2_0.c,458 :: 		RGB_LED_G = ON;
	BSF        PORTB+0, 4
;Chronulator2_0.c,459 :: 		RGB_LED_R = OFF;
	BCF        PORTB+0, 3
;Chronulator2_0.c,460 :: 		GRN_LED_1 = ON;
	BSF        PORTA+0, 4
;Chronulator2_0.c,461 :: 		GRN_LED_2 = ON;
	BSF        PORTA+0, 5
;Chronulator2_0.c,462 :: 		RED_LED_1 = OFF;
	BCF        PORTE+0, 0
;Chronulator2_0.c,463 :: 		RED_LED_2 = OFF;
	BCF        PORTE+0, 1
;Chronulator2_0.c,464 :: 		UpdateHoursDuty();
	CALL       _UpdateHoursDuty+0
;Chronulator2_0.c,465 :: 		UpdateMinutesDuty();
	CALL       _UpdateMinutesDuty+0
;Chronulator2_0.c,466 :: 		break;
	GOTO       L_ButtonHandler134
;Chronulator2_0.c,467 :: 		case 3:
L_ButtonHandler138:
;Chronulator2_0.c,468 :: 		case 4:
L_ButtonHandler139:
;Chronulator2_0.c,469 :: 		RGB_LED_G = OFF;
	BCF        PORTB+0, 4
;Chronulator2_0.c,470 :: 		RGB_LED_R = ON;
	BSF        PORTB+0, 3
;Chronulator2_0.c,471 :: 		GRN_LED_1 = OFF;
	BCF        PORTA+0, 4
;Chronulator2_0.c,472 :: 		GRN_LED_2 = OFF;
	BCF        PORTA+0, 5
;Chronulator2_0.c,473 :: 		RED_LED_1 = ON;
	BSF        PORTE+0, 0
;Chronulator2_0.c,474 :: 		RED_LED_2 = ON;
	BSF        PORTE+0, 1
;Chronulator2_0.c,475 :: 		UpdateMonthsDuty();
	CALL       _UpdateMonthsDuty+0
;Chronulator2_0.c,476 :: 		UpdateDaysDuty();
	CALL       _UpdateDaysDuty+0
;Chronulator2_0.c,477 :: 		break;
	GOTO       L_ButtonHandler134
;Chronulator2_0.c,478 :: 		case 5:
L_ButtonHandler140:
;Chronulator2_0.c,479 :: 		RGB_LED_G = OFF;
	BCF        PORTB+0, 4
;Chronulator2_0.c,480 :: 		RGB_LED_R = ON;
	BSF        PORTB+0, 3
;Chronulator2_0.c,481 :: 		GRN_LED_1 = OFF;
	BCF        PORTA+0, 4
;Chronulator2_0.c,482 :: 		GRN_LED_2 = OFF;
	BCF        PORTA+0, 5
;Chronulator2_0.c,483 :: 		RED_LED_1 = ON;
	BSF        PORTE+0, 0
;Chronulator2_0.c,484 :: 		RED_LED_2 = ON;
	BSF        PORTE+0, 1
;Chronulator2_0.c,485 :: 		RED_LED_1_status = 0;
	CLRF       _RED_LED_1_status+0
;Chronulator2_0.c,486 :: 		RED_LED_2_status = 0;
	CLRF       _RED_LED_2_status+0
;Chronulator2_0.c,487 :: 		UpdateYearDuty1();
	CALL       _UpdateYearDuty1+0
;Chronulator2_0.c,488 :: 		UpdateYearDuty2();
	CALL       _UpdateYearDuty2+0
;Chronulator2_0.c,489 :: 		break;
	GOTO       L_ButtonHandler134
;Chronulator2_0.c,490 :: 		case 6:
L_ButtonHandler141:
;Chronulator2_0.c,491 :: 		if (new_hr != hr || new_mn != mn) {
	MOVF       _new_hr+0, 0
	XORWF      _hr+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ButtonHandler233
	MOVF       _new_mn+0, 0
	XORWF      _mn+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ButtonHandler233
	GOTO       L_ButtonHandler144
L__ButtonHandler233:
;Chronulator2_0.c,492 :: 		ds1307_set_time(new_hr, new_mn, sec);
	MOVF       _new_hr+0, 0
	MOVWF      FARG_ds1307_set_time_hr+0
	MOVF       _new_mn+0, 0
	MOVWF      FARG_ds1307_set_time_mn+0
	MOVF       _sec+0, 0
	MOVWF      FARG_ds1307_set_time_sec+0
	CALL       _ds1307_set_time+0
;Chronulator2_0.c,493 :: 		}
L_ButtonHandler144:
;Chronulator2_0.c,494 :: 		if (new_day != day || new_mth != mth || new_year != year) {
	MOVF       _new_day+0, 0
	XORWF      _day+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ButtonHandler232
	MOVF       _new_mth+0, 0
	XORWF      _mth+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ButtonHandler232
	MOVF       _new_year+0, 0
	XORWF      _year+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ButtonHandler232
	GOTO       L_ButtonHandler147
L__ButtonHandler232:
;Chronulator2_0.c,495 :: 		ds1307_set_date(new_day, new_mth, new_year);
	MOVF       _new_day+0, 0
	MOVWF      FARG_ds1307_set_date_day+0
	MOVF       _new_mth+0, 0
	MOVWF      FARG_ds1307_set_date_mth+0
	MOVF       _new_year+0, 0
	MOVWF      FARG_ds1307_set_date_year+0
	CALL       _ds1307_set_date+0
;Chronulator2_0.c,496 :: 		}
L_ButtonHandler147:
;Chronulator2_0.c,497 :: 		SetMode = 0;
	CLRF       _SetMode+0
;Chronulator2_0.c,498 :: 		OperationMode = 0;
	CLRF       _OperationMode+0
;Chronulator2_0.c,499 :: 		DisplayMode = 0;
	CLRF       _DisplayMode+0
;Chronulator2_0.c,500 :: 		PrevDisplayMode = 1;
	MOVLW      1
	MOVWF      _PrevDisplayMode+0
;Chronulator2_0.c,501 :: 		UpdateHoursDuty();
	CALL       _UpdateHoursDuty+0
;Chronulator2_0.c,502 :: 		UpdateMinutesDuty();
	CALL       _UpdateMinutesDuty+0
;Chronulator2_0.c,503 :: 		strConstCopy (out_str1, dbg1_message[3]);// "Display mode"
	MOVLW      _out_str1+0
	MOVWF      FARG_strConstCopy_dest+0
	MOVF       _dbg1_message+6, 0
	MOVWF      FARG_strConstCopy_source+0
	MOVF       _dbg1_message+7, 0
	MOVWF      FARG_strConstCopy_source+1
	CALL       _strConstCopy+0
;Chronulator2_0.c,504 :: 		Usart_WriteLn_Str(out_str1);
	MOVLW      _out_str1+0
	MOVWF      FARG_Usart_WriteLn_Str_string+0
	CALL       _Usart_WriteLn_Str+0
;Chronulator2_0.c,505 :: 		break;
	GOTO       L_ButtonHandler134
;Chronulator2_0.c,506 :: 		}
L_ButtonHandler133:
	MOVF       _SetMode+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler135
	MOVF       _SetMode+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler136
	MOVF       _SetMode+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler137
	MOVF       _SetMode+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler138
	MOVF       _SetMode+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler139
	MOVF       _SetMode+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler140
	MOVF       _SetMode+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler141
L_ButtonHandler134:
;Chronulator2_0.c,507 :: 		break;
	GOTO       L_ButtonHandler130
;Chronulator2_0.c,508 :: 		case 2:
L_ButtonHandler148:
;Chronulator2_0.c,509 :: 		switch (CalibrationMode) {
	GOTO       L_ButtonHandler149
;Chronulator2_0.c,510 :: 		case 0:
L_ButtonHandler151:
;Chronulator2_0.c,511 :: 		break;
	GOTO       L_ButtonHandler150
;Chronulator2_0.c,512 :: 		case 1:
L_ButtonHandler152:
;Chronulator2_0.c,513 :: 		switch (CalibrationSelect) {
	GOTO       L_ButtonHandler153
;Chronulator2_0.c,514 :: 		case 1:
L_ButtonHandler155:
;Chronulator2_0.c,515 :: 		hr = 0;
	CLRF       _hr+0
;Chronulator2_0.c,516 :: 		CurrentCalibrationDuty = EEPROM_Read(hr_duty_epr_adr[hr]);
	MOVF       _hr+0, 0
	ADDLW      _hr_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_hr_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _CurrentCalibrationDuty+0
;Chronulator2_0.c,517 :: 		new_duty = CurrentCalibrationDuty;
	MOVF       R0+0, 0
	MOVWF      _new_duty+0
;Chronulator2_0.c,518 :: 		SetDutyHours(CurrentCalibrationDuty);
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyHours_newDuty+0
	CALL       _SetDutyHours+0
;Chronulator2_0.c,519 :: 		CalibrationMode = 2;
	MOVLW      2
	MOVWF      _CalibrationMode+0
;Chronulator2_0.c,520 :: 		break;
	GOTO       L_ButtonHandler154
;Chronulator2_0.c,521 :: 		case 2:
L_ButtonHandler156:
;Chronulator2_0.c,522 :: 		mn = 0;
	CLRF       _mn+0
;Chronulator2_0.c,523 :: 		CurrentCalibrationDuty = EEPROM_Read(mn_duty_epr_adr[mn]);
	MOVF       _mn+0, 0
	ADDLW      _mn_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_mn_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _CurrentCalibrationDuty+0
;Chronulator2_0.c,524 :: 		new_duty = CurrentCalibrationDuty;
	MOVF       R0+0, 0
	MOVWF      _new_duty+0
;Chronulator2_0.c,525 :: 		SetDutyMinutes(CurrentCalibrationDuty);
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyMinutes_newDuty+0
	CALL       _SetDutyMinutes+0
;Chronulator2_0.c,526 :: 		CalibrationMode = 3;
	MOVLW      3
	MOVWF      _CalibrationMode+0
;Chronulator2_0.c,527 :: 		break;
	GOTO       L_ButtonHandler154
;Chronulator2_0.c,528 :: 		case 3:
L_ButtonHandler157:
;Chronulator2_0.c,529 :: 		mth = 1;
	MOVLW      1
	MOVWF      _mth+0
;Chronulator2_0.c,530 :: 		CurrentCalibrationDuty = EEPROM_Read(mth_duty_epr_adr[mth]);
	MOVF       _mth+0, 0
	ADDLW      _mth_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_mth_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _CurrentCalibrationDuty+0
;Chronulator2_0.c,531 :: 		new_duty = CurrentCalibrationDuty;
	MOVF       R0+0, 0
	MOVWF      _new_duty+0
;Chronulator2_0.c,532 :: 		SetDutyMonths(CurrentCalibrationDuty);
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyMonths_newDuty+0
	CALL       _SetDutyMonths+0
;Chronulator2_0.c,533 :: 		CalibrationMode = 4;
	MOVLW      4
	MOVWF      _CalibrationMode+0
;Chronulator2_0.c,534 :: 		break;
	GOTO       L_ButtonHandler154
;Chronulator2_0.c,535 :: 		case 4:
L_ButtonHandler158:
;Chronulator2_0.c,536 :: 		day = 1;
	MOVLW      1
	MOVWF      _day+0
;Chronulator2_0.c,537 :: 		CurrentCalibrationDuty = EEPROM_Read(day_duty_epr_adr[day]);
	MOVF       _day+0, 0
	ADDLW      _day_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_day_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _CurrentCalibrationDuty+0
;Chronulator2_0.c,538 :: 		new_duty = CurrentCalibrationDuty;
	MOVF       R0+0, 0
	MOVWF      _new_duty+0
;Chronulator2_0.c,539 :: 		SetDutyDays(CurrentCalibrationDuty);
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyDays_newDuty+0
	CALL       _SetDutyDays+0
;Chronulator2_0.c,540 :: 		CalibrationMode = 5;
	MOVLW      5
	MOVWF      _CalibrationMode+0
;Chronulator2_0.c,541 :: 		break;
	GOTO       L_ButtonHandler154
;Chronulator2_0.c,542 :: 		}
L_ButtonHandler153:
	MOVF       _CalibrationSelect+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler155
	MOVF       _CalibrationSelect+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler156
	MOVF       _CalibrationSelect+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler157
	MOVF       _CalibrationSelect+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler158
L_ButtonHandler154:
;Chronulator2_0.c,543 :: 		break;
	GOTO       L_ButtonHandler150
;Chronulator2_0.c,544 :: 		case 2:
L_ButtonHandler159:
;Chronulator2_0.c,545 :: 		if (new_duty != CurrentCalibrationDuty) {
	MOVF       _new_duty+0, 0
	XORWF      _CurrentCalibrationDuty+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler160
;Chronulator2_0.c,546 :: 		EEPROM_Write(hr_duty_epr_adr[hr], new_duty);
	MOVF       _hr+0, 0
	ADDLW      _hr_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_hr_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _new_duty+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;Chronulator2_0.c,547 :: 		Delay_ms(25);
	MOVLW      163
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_ButtonHandler161:
	DECFSZ     R13+0, 1
	GOTO       L_ButtonHandler161
	DECFSZ     R12+0, 1
	GOTO       L_ButtonHandler161
;Chronulator2_0.c,548 :: 		}
L_ButtonHandler160:
;Chronulator2_0.c,549 :: 		hr++;
	INCF       _hr+0, 1
;Chronulator2_0.c,550 :: 		if (hr > 24) {
	MOVF       _hr+0, 0
	SUBLW      24
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler162
;Chronulator2_0.c,551 :: 		hr = 0;
	CLRF       _hr+0
;Chronulator2_0.c,552 :: 		CalibrationMode = 1;
	MOVLW      1
	MOVWF      _CalibrationMode+0
;Chronulator2_0.c,553 :: 		CalibrationSelect = 2;
	MOVLW      2
	MOVWF      _CalibrationSelect+0
;Chronulator2_0.c,554 :: 		SetDutyHours(0);
	CLRF       FARG_SetDutyHours_newDuty+0
	CALL       _SetDutyHours+0
;Chronulator2_0.c,555 :: 		GRN_LED_1 = OFF;
	BCF        PORTA+0, 4
;Chronulator2_0.c,556 :: 		GRN_LED_2 = ON;
	BSF        PORTA+0, 5
;Chronulator2_0.c,557 :: 		RED_LED_1 = OFF;
	BCF        PORTE+0, 0
;Chronulator2_0.c,558 :: 		RED_LED_2 = OFF;
	BCF        PORTE+0, 1
;Chronulator2_0.c,559 :: 		RGB_LED_G = OFF;
	BCF        PORTB+0, 4
;Chronulator2_0.c,560 :: 		RGB_LED_R = OFF;
	BCF        PORTB+0, 3
;Chronulator2_0.c,561 :: 		} else {
	GOTO       L_ButtonHandler163
L_ButtonHandler162:
;Chronulator2_0.c,562 :: 		CurrentCalibrationDuty = EEPROM_Read(hr_duty_epr_adr[hr]);
	MOVF       _hr+0, 0
	ADDLW      _hr_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_hr_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _CurrentCalibrationDuty+0
;Chronulator2_0.c,563 :: 		new_duty = CurrentCalibrationDuty;
	MOVF       R0+0, 0
	MOVWF      _new_duty+0
;Chronulator2_0.c,564 :: 		SetDutyHours(CurrentCalibrationDuty);
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyHours_newDuty+0
	CALL       _SetDutyHours+0
;Chronulator2_0.c,565 :: 		}
L_ButtonHandler163:
;Chronulator2_0.c,566 :: 		break;
	GOTO       L_ButtonHandler150
;Chronulator2_0.c,567 :: 		case 3:
L_ButtonHandler164:
;Chronulator2_0.c,568 :: 		if (new_duty != CurrentCalibrationDuty) {
	MOVF       _new_duty+0, 0
	XORWF      _CurrentCalibrationDuty+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler165
;Chronulator2_0.c,569 :: 		EEPROM_Write(mn_duty_epr_adr[mn], new_duty);
	MOVF       _mn+0, 0
	ADDLW      _mn_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_mn_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _new_duty+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;Chronulator2_0.c,570 :: 		Delay_ms(25);
	MOVLW      163
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_ButtonHandler166:
	DECFSZ     R13+0, 1
	GOTO       L_ButtonHandler166
	DECFSZ     R12+0, 1
	GOTO       L_ButtonHandler166
;Chronulator2_0.c,571 :: 		}
L_ButtonHandler165:
;Chronulator2_0.c,572 :: 		mn++;
	INCF       _mn+0, 1
;Chronulator2_0.c,573 :: 		if (mn > 60) {
	MOVF       _mn+0, 0
	SUBLW      60
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler167
;Chronulator2_0.c,574 :: 		mn = 0;
	CLRF       _mn+0
;Chronulator2_0.c,575 :: 		CalibrationMode = 1;
	MOVLW      1
	MOVWF      _CalibrationMode+0
;Chronulator2_0.c,576 :: 		CalibrationSelect = 3;
	MOVLW      3
	MOVWF      _CalibrationSelect+0
;Chronulator2_0.c,577 :: 		SetDutyMinutes(0);
	CLRF       FARG_SetDutyMinutes_newDuty+0
	CALL       _SetDutyMinutes+0
;Chronulator2_0.c,578 :: 		GRN_LED_1 = OFF;
	BCF        PORTA+0, 4
;Chronulator2_0.c,579 :: 		GRN_LED_2 = OFF;
	BCF        PORTA+0, 5
;Chronulator2_0.c,580 :: 		RED_LED_1 = ON;
	BSF        PORTE+0, 0
;Chronulator2_0.c,581 :: 		RED_LED_2 = OFF;
	BCF        PORTE+0, 1
;Chronulator2_0.c,582 :: 		RGB_LED_G = OFF;
	BCF        PORTB+0, 4
;Chronulator2_0.c,583 :: 		RGB_LED_R = OFF;
	BCF        PORTB+0, 3
;Chronulator2_0.c,584 :: 		} else {
	GOTO       L_ButtonHandler168
L_ButtonHandler167:
;Chronulator2_0.c,585 :: 		CurrentCalibrationDuty = EEPROM_Read(mn_duty_epr_adr[mn]);
	MOVF       _mn+0, 0
	ADDLW      _mn_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_mn_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _CurrentCalibrationDuty+0
;Chronulator2_0.c,586 :: 		new_duty = CurrentCalibrationDuty;
	MOVF       R0+0, 0
	MOVWF      _new_duty+0
;Chronulator2_0.c,587 :: 		SetDutyMinutes(CurrentCalibrationDuty);
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyMinutes_newDuty+0
	CALL       _SetDutyMinutes+0
;Chronulator2_0.c,588 :: 		}
L_ButtonHandler168:
;Chronulator2_0.c,589 :: 		break;
	GOTO       L_ButtonHandler150
;Chronulator2_0.c,590 :: 		case 4:
L_ButtonHandler169:
;Chronulator2_0.c,591 :: 		if (new_duty != CurrentCalibrationDuty) {
	MOVF       _new_duty+0, 0
	XORWF      _CurrentCalibrationDuty+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler170
;Chronulator2_0.c,592 :: 		EEPROM_Write(mth_duty_epr_adr[mth], new_duty);
	MOVF       _mth+0, 0
	ADDLW      _mth_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_mth_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _new_duty+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;Chronulator2_0.c,593 :: 		Delay_ms(25);
	MOVLW      163
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_ButtonHandler171:
	DECFSZ     R13+0, 1
	GOTO       L_ButtonHandler171
	DECFSZ     R12+0, 1
	GOTO       L_ButtonHandler171
;Chronulator2_0.c,594 :: 		}
L_ButtonHandler170:
;Chronulator2_0.c,595 :: 		mth++;
	INCF       _mth+0, 1
;Chronulator2_0.c,596 :: 		if (mth > 12) {
	MOVF       _mth+0, 0
	SUBLW      12
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler172
;Chronulator2_0.c,597 :: 		mth = 0;
	CLRF       _mth+0
;Chronulator2_0.c,598 :: 		CalibrationMode = 1;
	MOVLW      1
	MOVWF      _CalibrationMode+0
;Chronulator2_0.c,599 :: 		CalibrationSelect = 4;
	MOVLW      4
	MOVWF      _CalibrationSelect+0
;Chronulator2_0.c,600 :: 		SetDutyMonths(0);
	CLRF       FARG_SetDutyMonths_newDuty+0
	CALL       _SetDutyMonths+0
;Chronulator2_0.c,601 :: 		GRN_LED_1 = OFF;
	BCF        PORTA+0, 4
;Chronulator2_0.c,602 :: 		GRN_LED_2 = OFF;
	BCF        PORTA+0, 5
;Chronulator2_0.c,603 :: 		RED_LED_1 = OFF;
	BCF        PORTE+0, 0
;Chronulator2_0.c,604 :: 		RED_LED_2 = ON;
	BSF        PORTE+0, 1
;Chronulator2_0.c,605 :: 		RGB_LED_G = OFF;
	BCF        PORTB+0, 4
;Chronulator2_0.c,606 :: 		RGB_LED_R = OFF;
	BCF        PORTB+0, 3
;Chronulator2_0.c,607 :: 		} else {
	GOTO       L_ButtonHandler173
L_ButtonHandler172:
;Chronulator2_0.c,608 :: 		CurrentCalibrationDuty = EEPROM_Read(mth_duty_epr_adr[mth]);
	MOVF       _mth+0, 0
	ADDLW      _mth_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_mth_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _CurrentCalibrationDuty+0
;Chronulator2_0.c,609 :: 		new_duty = CurrentCalibrationDuty;
	MOVF       R0+0, 0
	MOVWF      _new_duty+0
;Chronulator2_0.c,610 :: 		SetDutyMonths(CurrentCalibrationDuty);
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyMonths_newDuty+0
	CALL       _SetDutyMonths+0
;Chronulator2_0.c,611 :: 		}
L_ButtonHandler173:
;Chronulator2_0.c,612 :: 		break;
	GOTO       L_ButtonHandler150
;Chronulator2_0.c,613 :: 		case 5:
L_ButtonHandler174:
;Chronulator2_0.c,614 :: 		if (new_duty != CurrentCalibrationDuty) {
	MOVF       _new_duty+0, 0
	XORWF      _CurrentCalibrationDuty+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler175
;Chronulator2_0.c,615 :: 		EEPROM_Write(day_duty_epr_adr[day], new_duty);
	MOVF       _day+0, 0
	ADDLW      _day_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_day_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _new_duty+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;Chronulator2_0.c,616 :: 		Delay_ms(25);
	MOVLW      163
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_ButtonHandler176:
	DECFSZ     R13+0, 1
	GOTO       L_ButtonHandler176
	DECFSZ     R12+0, 1
	GOTO       L_ButtonHandler176
;Chronulator2_0.c,617 :: 		}
L_ButtonHandler175:
;Chronulator2_0.c,618 :: 		day++;
	INCF       _day+0, 1
;Chronulator2_0.c,619 :: 		if (day > 31) {
	MOVF       _day+0, 0
	SUBLW      31
	BTFSC      STATUS+0, 0
	GOTO       L_ButtonHandler177
;Chronulator2_0.c,620 :: 		day = 0;
	CLRF       _day+0
;Chronulator2_0.c,621 :: 		CalibrationMode = 1;
	MOVLW      1
	MOVWF      _CalibrationMode+0
;Chronulator2_0.c,622 :: 		CalibrationSelect = 1;
	MOVLW      1
	MOVWF      _CalibrationSelect+0
;Chronulator2_0.c,623 :: 		SetDutyDays(0);
	CLRF       FARG_SetDutyDays_newDuty+0
	CALL       _SetDutyDays+0
;Chronulator2_0.c,624 :: 		GRN_LED_1 = ON;
	BSF        PORTA+0, 4
;Chronulator2_0.c,625 :: 		GRN_LED_2 = OFF;
	BCF        PORTA+0, 5
;Chronulator2_0.c,626 :: 		RED_LED_1 = OFF;
	BCF        PORTE+0, 0
;Chronulator2_0.c,627 :: 		RED_LED_2 = OFF;
	BCF        PORTE+0, 1
;Chronulator2_0.c,628 :: 		RGB_LED_G = OFF;
	BCF        PORTB+0, 4
;Chronulator2_0.c,629 :: 		RGB_LED_R = OFF;
	BCF        PORTB+0, 3
;Chronulator2_0.c,630 :: 		} else {
	GOTO       L_ButtonHandler178
L_ButtonHandler177:
;Chronulator2_0.c,631 :: 		CurrentCalibrationDuty = EEPROM_Read(day_duty_epr_adr[day]);
	MOVF       _day+0, 0
	ADDLW      _day_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_day_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _CurrentCalibrationDuty+0
;Chronulator2_0.c,632 :: 		new_duty = CurrentCalibrationDuty;
	MOVF       R0+0, 0
	MOVWF      _new_duty+0
;Chronulator2_0.c,633 :: 		SetDutyDays(CurrentCalibrationDuty);
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyDays_newDuty+0
	CALL       _SetDutyDays+0
;Chronulator2_0.c,634 :: 		}
L_ButtonHandler178:
;Chronulator2_0.c,635 :: 		break;
	GOTO       L_ButtonHandler150
;Chronulator2_0.c,636 :: 		}
L_ButtonHandler149:
	MOVF       _CalibrationMode+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler151
	MOVF       _CalibrationMode+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler152
	MOVF       _CalibrationMode+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler159
	MOVF       _CalibrationMode+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler164
	MOVF       _CalibrationMode+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler169
	MOVF       _CalibrationMode+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler174
L_ButtonHandler150:
;Chronulator2_0.c,637 :: 		break;
	GOTO       L_ButtonHandler130
;Chronulator2_0.c,638 :: 		}
L_ButtonHandler129:
	MOVF       _OperationMode+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler131
	MOVF       _OperationMode+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler132
	MOVF       _OperationMode+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_ButtonHandler148
L_ButtonHandler130:
;Chronulator2_0.c,639 :: 		strConstCopy (out_str1, dbg1_message[9]);      // "SET btn"
	MOVLW      _out_str1+0
	MOVWF      FARG_strConstCopy_dest+0
	MOVF       _dbg1_message+18, 0
	MOVWF      FARG_strConstCopy_source+0
	MOVF       _dbg1_message+19, 0
	MOVWF      FARG_strConstCopy_source+1
	CALL       _strConstCopy+0
;Chronulator2_0.c,640 :: 		Usart_WriteLn_Str(out_str1);
	MOVLW      _out_str1+0
	MOVWF      FARG_Usart_WriteLn_Str_string+0
	CALL       _Usart_WriteLn_Str+0
;Chronulator2_0.c,641 :: 		oldstate[3] = 0;
	CLRF       _oldstate+3
;Chronulator2_0.c,642 :: 		}
L_ButtonHandler128:
L_ButtonHandler125:
L_ButtonHandler104:
L_ButtonHandler75:
;Chronulator2_0.c,643 :: 		}
	RETURN
; end of _ButtonHandler

_TimeAndDateUsartWrite:

;Chronulator2_0.c,645 :: 		void TimeAndDateUsartWrite (void) {
;Chronulator2_0.c,646 :: 		strConstCopy (out_str1, dbg1_message[1]);       // "Time: "
	MOVLW      _out_str1+0
	MOVWF      FARG_strConstCopy_dest+0
	MOVF       _dbg1_message+2, 0
	MOVWF      FARG_strConstCopy_source+0
	MOVF       _dbg1_message+3, 0
	MOVWF      FARG_strConstCopy_source+1
	CALL       _strConstCopy+0
;Chronulator2_0.c,647 :: 		Usart_Write_Str(out_str1);
	MOVLW      _out_str1+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,648 :: 		ByteToStr(hr, tmp);
	MOVF       _hr+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _tmp+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Chronulator2_0.c,649 :: 		Usart_Write_Str (tmp);
	MOVLW      _tmp+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,650 :: 		Usart_Write_Str (":");
	MOVLW      ?lstr15_Chronulator2_0+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,651 :: 		ByteToStr(mn, tmp);
	MOVF       _mn+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _tmp+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Chronulator2_0.c,652 :: 		Usart_Write_Str (tmp);
	MOVLW      _tmp+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,653 :: 		Usart_Write_Str (":");
	MOVLW      ?lstr16_Chronulator2_0+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,654 :: 		ByteToStr(sec, tmp);
	MOVF       _sec+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _tmp+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Chronulator2_0.c,655 :: 		Usart_Write_Str (tmp);
	MOVLW      _tmp+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,656 :: 		Usart_Write_Str (" ");
	MOVLW      ?lstr17_Chronulator2_0+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,658 :: 		strConstCopy (out_str1, dbg1_message[10]);      // "Hr/mth duty = "
	MOVLW      _out_str1+0
	MOVWF      FARG_strConstCopy_dest+0
	MOVF       _dbg1_message+20, 0
	MOVWF      FARG_strConstCopy_source+0
	MOVF       _dbg1_message+21, 0
	MOVWF      FARG_strConstCopy_source+1
	CALL       _strConstCopy+0
;Chronulator2_0.c,659 :: 		Usart_Write_Str(out_str1);
	MOVLW      _out_str1+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,660 :: 		ByteToStr(hoursDuty, tmp);
	MOVF       _hoursDuty+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _tmp+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Chronulator2_0.c,661 :: 		Usart_Write_Str(tmp);
	MOVLW      _tmp+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,662 :: 		Usart_Write_Str (" ");
	MOVLW      ?lstr18_Chronulator2_0+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,663 :: 		strConstCopy (out_str1, dbg1_message[11]);      // "Min/day duty = "
	MOVLW      _out_str1+0
	MOVWF      FARG_strConstCopy_dest+0
	MOVF       _dbg1_message+22, 0
	MOVWF      FARG_strConstCopy_source+0
	MOVF       _dbg1_message+23, 0
	MOVWF      FARG_strConstCopy_source+1
	CALL       _strConstCopy+0
;Chronulator2_0.c,664 :: 		Usart_Write_Str(out_str1);
	MOVLW      _out_str1+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,665 :: 		ByteToStr(minutesDuty, tmp);
	MOVF       _minutesDuty+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _tmp+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Chronulator2_0.c,666 :: 		Usart_WriteLn_Str (tmp);
	MOVLW      _tmp+0
	MOVWF      FARG_Usart_WriteLn_Str_string+0
	CALL       _Usart_WriteLn_Str+0
;Chronulator2_0.c,668 :: 		strConstCopy (out_str1, dbg1_message[2]);       // "Date: "
	MOVLW      _out_str1+0
	MOVWF      FARG_strConstCopy_dest+0
	MOVF       _dbg1_message+4, 0
	MOVWF      FARG_strConstCopy_source+0
	MOVF       _dbg1_message+5, 0
	MOVWF      FARG_strConstCopy_source+1
	CALL       _strConstCopy+0
;Chronulator2_0.c,669 :: 		Usart_Write_Str(out_str1);
	MOVLW      _out_str1+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,670 :: 		ByteToStr(day, tmp);
	MOVF       _day+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _tmp+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Chronulator2_0.c,671 :: 		Usart_Write_Str (tmp);
	MOVLW      _tmp+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,672 :: 		Usart_Write_Str ("-");
	MOVLW      ?lstr19_Chronulator2_0+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,673 :: 		ByteToStr(mth, tmp);
	MOVF       _mth+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _tmp+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Chronulator2_0.c,674 :: 		Usart_Write_Str (tmp);
	MOVLW      _tmp+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,675 :: 		Usart_Write_Str ("-");
	MOVLW      ?lstr20_Chronulator2_0+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,676 :: 		ByteToStr(year, tmp);
	MOVF       _year+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _tmp+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Chronulator2_0.c,677 :: 		Usart_Write_Str (tmp);
	MOVLW      _tmp+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,678 :: 		Usart_Write_Str (" ");
	MOVLW      ?lstr21_Chronulator2_0+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,680 :: 		strConstCopy (out_str1, dbg1_message[10]);      // "Hr/mth duty = "
	MOVLW      _out_str1+0
	MOVWF      FARG_strConstCopy_dest+0
	MOVF       _dbg1_message+20, 0
	MOVWF      FARG_strConstCopy_source+0
	MOVF       _dbg1_message+21, 0
	MOVWF      FARG_strConstCopy_source+1
	CALL       _strConstCopy+0
;Chronulator2_0.c,681 :: 		Usart_Write_Str(out_str1);
	MOVLW      _out_str1+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,682 :: 		ByteToStr(monthsDuty, tmp);
	MOVF       _monthsDuty+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _tmp+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Chronulator2_0.c,683 :: 		Usart_Write_Str(tmp);
	MOVLW      _tmp+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,684 :: 		Usart_Write_Str (" ");
	MOVLW      ?lstr22_Chronulator2_0+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,685 :: 		strConstCopy (out_str1, dbg1_message[11]);      // "Min/day duty = "
	MOVLW      _out_str1+0
	MOVWF      FARG_strConstCopy_dest+0
	MOVF       _dbg1_message+22, 0
	MOVWF      FARG_strConstCopy_source+0
	MOVF       _dbg1_message+23, 0
	MOVWF      FARG_strConstCopy_source+1
	CALL       _strConstCopy+0
;Chronulator2_0.c,686 :: 		Usart_Write_Str(out_str1);
	MOVLW      _out_str1+0
	MOVWF      FARG_Usart_Write_Str_string+0
	CALL       _Usart_Write_Str+0
;Chronulator2_0.c,687 :: 		ByteToStr(daysDuty, tmp);
	MOVF       _daysDuty+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _tmp+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Chronulator2_0.c,688 :: 		Usart_WriteLn_Str (tmp);
	MOVLW      _tmp+0
	MOVWF      FARG_Usart_WriteLn_Str_string+0
	CALL       _Usart_WriteLn_Str+0
;Chronulator2_0.c,689 :: 		}
	RETURN
; end of _TimeAndDateUsartWrite

_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;Chronulator2_0.c,691 :: 		void interrupt (void) {
;Chronulator2_0.c,692 :: 		if (INTCON.T0IF) {                              //     TMR0
	BTFSS      INTCON+0, 2
	GOTO       L_interrupt179
;Chronulator2_0.c,693 :: 		RTC++;
	MOVF       _RTC+0, 0
	ADDLW      1
	MOVWF      R0+0
	MOVLW      0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      _RTC+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _RTC+0
	MOVF       R0+1, 0
	MOVWF      _RTC+1
;Chronulator2_0.c,694 :: 		if ((RTC % 512) == 0) {                     //  512
	MOVLW      255
	ANDWF      _RTC+0, 0
	MOVWF      R1+0
	MOVF       _RTC+1, 0
	ANDLW      1
	MOVWF      R1+1
	MOVLW      0
	XORWF      R1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt240
	MOVLW      0
	XORWF      R1+0, 0
L__interrupt240:
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt180
;Chronulator2_0.c,695 :: 		switch (OperationMode) {
	GOTO       L_interrupt181
;Chronulator2_0.c,696 :: 		case 0:
L_interrupt183:
;Chronulator2_0.c,697 :: 		break;
	GOTO       L_interrupt182
;Chronulator2_0.c,698 :: 		case 1:
L_interrupt184:
;Chronulator2_0.c,699 :: 		switch (SetMode) {
	GOTO       L_interrupt185
;Chronulator2_0.c,700 :: 		case 0:
L_interrupt187:
;Chronulator2_0.c,701 :: 		break;
	GOTO       L_interrupt186
;Chronulator2_0.c,702 :: 		case 1:
L_interrupt188:
;Chronulator2_0.c,703 :: 		GRN_LED_1_status = ~GRN_LED_1_status;
	COMF       _GRN_LED_1_status+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _GRN_LED_1_status+0
;Chronulator2_0.c,704 :: 		GRN_LED_1 = GRN_LED_1_status;
	BTFSC      R0+0, 0
	GOTO       L__interrupt241
	BCF        PORTA+0, 4
	GOTO       L__interrupt242
L__interrupt241:
	BSF        PORTA+0, 4
L__interrupt242:
;Chronulator2_0.c,705 :: 		break;
	GOTO       L_interrupt186
;Chronulator2_0.c,706 :: 		case 2:
L_interrupt189:
;Chronulator2_0.c,707 :: 		GRN_LED_2_status = ~GRN_LED_2_status;
	COMF       _GRN_LED_2_status+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _GRN_LED_2_status+0
;Chronulator2_0.c,708 :: 		GRN_LED_2 = GRN_LED_2_status;
	BTFSC      R0+0, 0
	GOTO       L__interrupt243
	BCF        PORTA+0, 5
	GOTO       L__interrupt244
L__interrupt243:
	BSF        PORTA+0, 5
L__interrupt244:
;Chronulator2_0.c,709 :: 		break;
	GOTO       L_interrupt186
;Chronulator2_0.c,710 :: 		case 3:
L_interrupt190:
;Chronulator2_0.c,711 :: 		RED_LED_1_status = ~RED_LED_1_status;
	COMF       _RED_LED_1_status+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _RED_LED_1_status+0
;Chronulator2_0.c,712 :: 		RED_LED_1 = RED_LED_1_status;
	BTFSC      R0+0, 0
	GOTO       L__interrupt245
	BCF        PORTE+0, 0
	GOTO       L__interrupt246
L__interrupt245:
	BSF        PORTE+0, 0
L__interrupt246:
;Chronulator2_0.c,713 :: 		break;
	GOTO       L_interrupt186
;Chronulator2_0.c,714 :: 		case 4:
L_interrupt191:
;Chronulator2_0.c,715 :: 		RED_LED_2_status = ~RED_LED_2_status;
	COMF       _RED_LED_2_status+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _RED_LED_2_status+0
;Chronulator2_0.c,716 :: 		RED_LED_2 = RED_LED_2_status;
	BTFSC      R0+0, 0
	GOTO       L__interrupt247
	BCF        PORTE+0, 1
	GOTO       L__interrupt248
L__interrupt247:
	BSF        PORTE+0, 1
L__interrupt248:
;Chronulator2_0.c,717 :: 		break;
	GOTO       L_interrupt186
;Chronulator2_0.c,718 :: 		case 5:
L_interrupt192:
;Chronulator2_0.c,719 :: 		RED_LED_1_status = ~RED_LED_1_status;
	COMF       _RED_LED_1_status+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _RED_LED_1_status+0
;Chronulator2_0.c,720 :: 		RED_LED_1 = RED_LED_1_status;
	BTFSC      R0+0, 0
	GOTO       L__interrupt249
	BCF        PORTE+0, 0
	GOTO       L__interrupt250
L__interrupt249:
	BSF        PORTE+0, 0
L__interrupt250:
;Chronulator2_0.c,721 :: 		RED_LED_2_status = ~RED_LED_2_status;
	COMF       _RED_LED_2_status+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _RED_LED_2_status+0
;Chronulator2_0.c,722 :: 		RED_LED_2 = RED_LED_2_status;
	BTFSC      R0+0, 0
	GOTO       L__interrupt251
	BCF        PORTE+0, 1
	GOTO       L__interrupt252
L__interrupt251:
	BSF        PORTE+0, 1
L__interrupt252:
;Chronulator2_0.c,723 :: 		break;
	GOTO       L_interrupt186
;Chronulator2_0.c,724 :: 		case 6:
L_interrupt193:
;Chronulator2_0.c,725 :: 		break;
	GOTO       L_interrupt186
;Chronulator2_0.c,726 :: 		}
L_interrupt185:
	MOVF       _SetMode+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt187
	MOVF       _SetMode+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt188
	MOVF       _SetMode+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt189
	MOVF       _SetMode+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt190
	MOVF       _SetMode+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt191
	MOVF       _SetMode+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt192
	MOVF       _SetMode+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt193
L_interrupt186:
;Chronulator2_0.c,727 :: 		break;
	GOTO       L_interrupt182
;Chronulator2_0.c,728 :: 		case 2:
L_interrupt194:
;Chronulator2_0.c,729 :: 		switch (CalibrationMode) {
	GOTO       L_interrupt195
;Chronulator2_0.c,730 :: 		case 0:
L_interrupt197:
;Chronulator2_0.c,731 :: 		break;
	GOTO       L_interrupt196
;Chronulator2_0.c,732 :: 		case 1:
L_interrupt198:
;Chronulator2_0.c,733 :: 		RGB_LED_B_status = ~RGB_LED_B_status;
	COMF       _RGB_LED_B_status+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _RGB_LED_B_status+0
;Chronulator2_0.c,734 :: 		RGB_LED_B = RGB_LED_B_status;
	BTFSC      R0+0, 0
	GOTO       L__interrupt253
	BCF        PORTB+0, 5
	GOTO       L__interrupt254
L__interrupt253:
	BSF        PORTB+0, 5
L__interrupt254:
;Chronulator2_0.c,735 :: 		break;
	GOTO       L_interrupt196
;Chronulator2_0.c,736 :: 		case 2:
L_interrupt199:
;Chronulator2_0.c,737 :: 		case 3:
L_interrupt200:
;Chronulator2_0.c,738 :: 		RGB_LED_B_status = ~RGB_LED_B_status;
	COMF       _RGB_LED_B_status+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _RGB_LED_B_status+0
;Chronulator2_0.c,739 :: 		RGB_LED_B = RGB_LED_B_status;
	BTFSC      R0+0, 0
	GOTO       L__interrupt255
	BCF        PORTB+0, 5
	GOTO       L__interrupt256
L__interrupt255:
	BSF        PORTB+0, 5
L__interrupt256:
;Chronulator2_0.c,740 :: 		RGB_LED_G_status = ~RGB_LED_B_status;
	COMF       R0+0, 1
	MOVF       R0+0, 0
	MOVWF      _RGB_LED_G_status+0
;Chronulator2_0.c,741 :: 		RGB_LED_G = RGB_LED_G_status;
	BTFSC      R0+0, 0
	GOTO       L__interrupt257
	BCF        PORTB+0, 4
	GOTO       L__interrupt258
L__interrupt257:
	BSF        PORTB+0, 4
L__interrupt258:
;Chronulator2_0.c,742 :: 		break;
	GOTO       L_interrupt196
;Chronulator2_0.c,743 :: 		case 4:
L_interrupt201:
;Chronulator2_0.c,744 :: 		case 5:
L_interrupt202:
;Chronulator2_0.c,745 :: 		RGB_LED_B_status = ~RGB_LED_B_status;
	COMF       _RGB_LED_B_status+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _RGB_LED_B_status+0
;Chronulator2_0.c,746 :: 		RGB_LED_B = RGB_LED_B_status;
	BTFSC      R0+0, 0
	GOTO       L__interrupt259
	BCF        PORTB+0, 5
	GOTO       L__interrupt260
L__interrupt259:
	BSF        PORTB+0, 5
L__interrupt260:
;Chronulator2_0.c,747 :: 		RGB_LED_R_status = ~RGB_LED_B_status;
	COMF       R0+0, 1
	MOVF       R0+0, 0
	MOVWF      _RGB_LED_R_status+0
;Chronulator2_0.c,748 :: 		RGB_LED_R = RGB_LED_R_status;
	BTFSC      R0+0, 0
	GOTO       L__interrupt261
	BCF        PORTB+0, 3
	GOTO       L__interrupt262
L__interrupt261:
	BSF        PORTB+0, 3
L__interrupt262:
;Chronulator2_0.c,749 :: 		break;
	GOTO       L_interrupt196
;Chronulator2_0.c,750 :: 		case 6:
L_interrupt203:
;Chronulator2_0.c,751 :: 		break;
	GOTO       L_interrupt196
;Chronulator2_0.c,752 :: 		}
L_interrupt195:
	MOVF       _CalibrationMode+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt197
	MOVF       _CalibrationMode+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt198
	MOVF       _CalibrationMode+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt199
	MOVF       _CalibrationMode+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt200
	MOVF       _CalibrationMode+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt201
	MOVF       _CalibrationMode+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt202
	MOVF       _CalibrationMode+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt203
L_interrupt196:
;Chronulator2_0.c,753 :: 		break;
	GOTO       L_interrupt182
;Chronulator2_0.c,754 :: 		}
L_interrupt181:
	MOVF       _OperationMode+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt183
	MOVF       _OperationMode+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt184
	MOVF       _OperationMode+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt194
L_interrupt182:
;Chronulator2_0.c,755 :: 		}
L_interrupt180:
;Chronulator2_0.c,756 :: 		INTCON.T0IF = 0;                             //   
	BCF        INTCON+0, 2
;Chronulator2_0.c,757 :: 		TMR0 = TMR0_PRESET;                          //     
	MOVLW      94
	MOVWF      TMR0+0
;Chronulator2_0.c,758 :: 		}
L_interrupt179:
;Chronulator2_0.c,759 :: 		}
L__interrupt239:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_main:

;Chronulator2_0.c,761 :: 		void main (void) {
;Chronulator2_0.c,762 :: 		Init_IO_Pins();                                 //   /
	CALL       _Init_IO_Pins+0
;Chronulator2_0.c,763 :: 		TMR0_setup();                                   //   TMR0
	CALL       _TMR0_setup+0
;Chronulator2_0.c,765 :: 		INTCON.GIE = ENABLE;                            //  
	BSF        INTCON+0, 7
;Chronulator2_0.c,767 :: 		UART1_Init(9600);                               //   UART   9600 
	MOVLW      129
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;Chronulator2_0.c,769 :: 		strConstCopy (out_str1, dbg1_message[0]);       // "Chronulator 2.0 Init"
	MOVLW      _out_str1+0
	MOVWF      FARG_strConstCopy_dest+0
	MOVF       _dbg1_message+0, 0
	MOVWF      FARG_strConstCopy_source+0
	MOVF       _dbg1_message+1, 0
	MOVWF      FARG_strConstCopy_source+1
	CALL       _strConstCopy+0
;Chronulator2_0.c,770 :: 		Usart_WriteLn_Str(out_str1);
	MOVLW      _out_str1+0
	MOVWF      FARG_Usart_WriteLn_Str_string+0
	CALL       _Usart_WriteLn_Str+0
;Chronulator2_0.c,772 :: 		PWM1_Init(3000);                                //    
	BSF        T2CON+0, 0
	BSF        T2CON+0, 1
	MOVLW      104
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
;Chronulator2_0.c,773 :: 		PWM1_Start();
	CALL       _PWM1_Start+0
;Chronulator2_0.c,774 :: 		PWM1_Set_Duty(0);
	CLRF       FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;Chronulator2_0.c,776 :: 		PWM2_Init(3000);                                //    
	BSF        T2CON+0, 0
	BSF        T2CON+0, 1
	MOVLW      104
	MOVWF      PR2+0
	CALL       _PWM2_Init+0
;Chronulator2_0.c,777 :: 		PWM2_Start();
	CALL       _PWM2_Start+0
;Chronulator2_0.c,778 :: 		PWM2_Set_Duty(0);
	CLRF       FARG_PWM2_Set_Duty_new_duty+0
	CALL       _PWM2_Set_Duty+0
;Chronulator2_0.c,780 :: 		if (Button(&PORTA, 2, 100, 0)) {                //  DATE/TIME      100 ?
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      100
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main204
;Chronulator2_0.c,781 :: 		OperationMode   = 2;                         //    
	MOVLW      2
	MOVWF      _OperationMode+0
;Chronulator2_0.c,782 :: 		CalibrationMode = 1;                         //     
	MOVLW      1
	MOVWF      _CalibrationMode+0
;Chronulator2_0.c,783 :: 		RGB_LED_B       = ON;                        //   
	BSF        PORTB+0, 5
;Chronulator2_0.c,784 :: 		GRN_LED_1       = ON;                        //       
	BSF        PORTA+0, 4
;Chronulator2_0.c,785 :: 		GRN_LED_2       = OFF;
	BCF        PORTA+0, 5
;Chronulator2_0.c,786 :: 		RED_LED_1       = OFF;
	BCF        PORTE+0, 0
;Chronulator2_0.c,787 :: 		RED_LED_2       = OFF;
	BCF        PORTE+0, 1
;Chronulator2_0.c,788 :: 		strConstCopy (out_str1, dbg1_message[5]);    // "Calibration mode"
	MOVLW      _out_str1+0
	MOVWF      FARG_strConstCopy_dest+0
	MOVF       _dbg1_message+10, 0
	MOVWF      FARG_strConstCopy_source+0
	MOVF       _dbg1_message+11, 0
	MOVWF      FARG_strConstCopy_source+1
	CALL       _strConstCopy+0
;Chronulator2_0.c,789 :: 		Usart_WriteLn_Str(out_str1);
	MOVLW      _out_str1+0
	MOVWF      FARG_Usart_WriteLn_Str_string+0
	CALL       _Usart_WriteLn_Str+0
;Chronulator2_0.c,790 :: 		} else {
	GOTO       L_main205
L_main204:
;Chronulator2_0.c,791 :: 		OperationMode   = 0;                         //    /
	CLRF       _OperationMode+0
;Chronulator2_0.c,792 :: 		strConstCopy (out_str1, dbg1_message[3]);    // "Display mode"
	MOVLW      _out_str1+0
	MOVWF      FARG_strConstCopy_dest+0
	MOVF       _dbg1_message+6, 0
	MOVWF      FARG_strConstCopy_source+0
	MOVF       _dbg1_message+7, 0
	MOVWF      FARG_strConstCopy_source+1
	CALL       _strConstCopy+0
;Chronulator2_0.c,793 :: 		Usart_WriteLn_Str(out_str1);
	MOVLW      _out_str1+0
	MOVWF      FARG_Usart_WriteLn_Str_string+0
	CALL       _Usart_WriteLn_Str+0
;Chronulator2_0.c,794 :: 		}
L_main205:
;Chronulator2_0.c,796 :: 		I2C1_Init(100000);                              //   I2C
	MOVLW      50
	MOVWF      SSPADD+0
	CALL       _I2C1_Init+0
;Chronulator2_0.c,797 :: 		ds1307_init();                                  //     DS1307
	CALL       _ds1307_init+0
;Chronulator2_0.c,799 :: 		if (OperationMode == 0) {
	MOVF       _OperationMode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main206
;Chronulator2_0.c,801 :: 		ds1307_get_time (&hr, &mn, &sec);
	MOVLW      _hr+0
	MOVWF      FARG_ds1307_get_time_hr+0
	MOVLW      _mn+0
	MOVWF      FARG_ds1307_get_time_mn+0
	MOVLW      _sec+0
	MOVWF      FARG_ds1307_get_time_sec+0
	CALL       _ds1307_get_time+0
;Chronulator2_0.c,802 :: 		ds1307_get_date (&day, &mth, &year, &dow);
	MOVLW      _day+0
	MOVWF      FARG_ds1307_get_date_day+0
	MOVLW      _mth+0
	MOVWF      FARG_ds1307_get_date_mth+0
	MOVLW      _year+0
	MOVWF      FARG_ds1307_get_date_year+0
	MOVLW      _dow+0
	MOVWF      FARG_ds1307_get_date_dow+0
	CALL       _ds1307_get_date+0
;Chronulator2_0.c,803 :: 		SetDutyYear1(EEPROM_Read(hr_duty_epr_adr[20]));
	MOVLW      20
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyYear1_newDuty+0
	CALL       _SetDutyYear1+0
;Chronulator2_0.c,804 :: 		Delay_ms(25);
	MOVLW      163
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_main207:
	DECFSZ     R13+0, 1
	GOTO       L_main207
	DECFSZ     R12+0, 1
	GOTO       L_main207
;Chronulator2_0.c,805 :: 		SetDutyYear2(EEPROM_Read(day_duty_epr_adr[year]));
	MOVF       _year+0, 0
	ADDLW      _day_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_day_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyYear2_newDuty+0
	CALL       _SetDutyYear2+0
;Chronulator2_0.c,806 :: 		Delay_ms(25);
	MOVLW      163
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_main208:
	DECFSZ     R13+0, 1
	GOTO       L_main208
	DECFSZ     R12+0, 1
	GOTO       L_main208
;Chronulator2_0.c,807 :: 		SetDutyMonths(EEPROM_Read(mth_duty_epr_adr[mth]));
	MOVF       _mth+0, 0
	ADDLW      _mth_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_mth_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyMonths_newDuty+0
	CALL       _SetDutyMonths+0
;Chronulator2_0.c,808 :: 		Delay_ms(25);
	MOVLW      163
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_main209:
	DECFSZ     R13+0, 1
	GOTO       L_main209
	DECFSZ     R12+0, 1
	GOTO       L_main209
;Chronulator2_0.c,809 :: 		SetDutyDays(EEPROM_Read(day_duty_epr_adr[day]));
	MOVF       _day+0, 0
	ADDLW      _day_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_day_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyDays_newDuty+0
	CALL       _SetDutyDays+0
;Chronulator2_0.c,810 :: 		Delay_ms(25);
	MOVLW      163
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_main210:
	DECFSZ     R13+0, 1
	GOTO       L_main210
	DECFSZ     R12+0, 1
	GOTO       L_main210
;Chronulator2_0.c,811 :: 		SetDutyHours(EEPROM_Read(hr_duty_epr_adr[hr]));
	MOVF       _hr+0, 0
	ADDLW      _hr_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_hr_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyHours_newDuty+0
	CALL       _SetDutyHours+0
;Chronulator2_0.c,812 :: 		Delay_ms(25);
	MOVLW      163
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_main211:
	DECFSZ     R13+0, 1
	GOTO       L_main211
	DECFSZ     R12+0, 1
	GOTO       L_main211
;Chronulator2_0.c,813 :: 		SetDutyMinutes(EEPROM_Read(mn_duty_epr_adr[mn]));
	MOVF       _mn+0, 0
	ADDLW      _mn_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_mn_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyMinutes_newDuty+0
	CALL       _SetDutyMinutes+0
;Chronulator2_0.c,814 :: 		Delay_ms(25);
	MOVLW      163
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_main212:
	DECFSZ     R13+0, 1
	GOTO       L_main212
	DECFSZ     R12+0, 1
	GOTO       L_main212
;Chronulator2_0.c,815 :: 		} else {
	GOTO       L_main213
L_main206:
;Chronulator2_0.c,817 :: 		SetDutyHours(0);
	CLRF       FARG_SetDutyHours_newDuty+0
	CALL       _SetDutyHours+0
;Chronulator2_0.c,818 :: 		SetDutyMinutes(0);
	CLRF       FARG_SetDutyMinutes_newDuty+0
	CALL       _SetDutyMinutes+0
;Chronulator2_0.c,819 :: 		SetDutyMonths(0);
	CLRF       FARG_SetDutyMonths_newDuty+0
	CALL       _SetDutyMonths+0
;Chronulator2_0.c,820 :: 		SetDutyDays(0);
	CLRF       FARG_SetDutyDays_newDuty+0
	CALL       _SetDutyDays+0
;Chronulator2_0.c,821 :: 		}
L_main213:
;Chronulator2_0.c,824 :: 		while (1) {
L_main214:
;Chronulator2_0.c,825 :: 		ButtonHandler();                               //   
	CALL       _ButtonHandler+0
;Chronulator2_0.c,827 :: 		switch (OperationMode) {
	GOTO       L_main216
;Chronulator2_0.c,828 :: 		case 0:                                       //  /
L_main218:
;Chronulator2_0.c,829 :: 		ds1307_get_time (&hr, &mn, &sec);
	MOVLW      _hr+0
	MOVWF      FARG_ds1307_get_time_hr+0
	MOVLW      _mn+0
	MOVWF      FARG_ds1307_get_time_mn+0
	MOVLW      _sec+0
	MOVWF      FARG_ds1307_get_time_sec+0
	CALL       _ds1307_get_time+0
;Chronulator2_0.c,830 :: 		ds1307_get_date (&day, &mth, &year, &dow);
	MOVLW      _day+0
	MOVWF      FARG_ds1307_get_date_day+0
	MOVLW      _mth+0
	MOVWF      FARG_ds1307_get_date_mth+0
	MOVLW      _year+0
	MOVWF      FARG_ds1307_get_date_year+0
	MOVLW      _dow+0
	MOVWF      FARG_ds1307_get_date_dow+0
	CALL       _ds1307_get_date+0
;Chronulator2_0.c,831 :: 		if (day == 6 && mth == 9) {
	MOVF       _day+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L_main221
	MOVF       _mth+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L_main221
L__main238:
;Chronulator2_0.c,832 :: 		RGB_LED_B = ON;
	BSF        PORTB+0, 5
;Chronulator2_0.c,833 :: 		} else {
	GOTO       L_main222
L_main221:
;Chronulator2_0.c,834 :: 		RGB_LED_B = OFF;
	BCF        PORTB+0, 5
;Chronulator2_0.c,835 :: 		}
L_main222:
;Chronulator2_0.c,836 :: 		switch (DisplayMode) {
	GOTO       L_main223
;Chronulator2_0.c,837 :: 		case 0:                               // 
L_main225:
;Chronulator2_0.c,838 :: 		if (PrevDisplayMode == 1) {
	MOVF       _PrevDisplayMode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main226
;Chronulator2_0.c,839 :: 		RGB_LED_G = ON;
	BSF        PORTB+0, 4
;Chronulator2_0.c,840 :: 		RGB_LED_R = OFF;
	BCF        PORTB+0, 3
;Chronulator2_0.c,841 :: 		GRN_LED_1 = ON;
	BSF        PORTA+0, 4
;Chronulator2_0.c,842 :: 		GRN_LED_2 = ON;
	BSF        PORTA+0, 5
;Chronulator2_0.c,843 :: 		RED_LED_1 = OFF;
	BCF        PORTE+0, 0
;Chronulator2_0.c,844 :: 		RED_LED_2 = OFF;
	BCF        PORTE+0, 1
;Chronulator2_0.c,845 :: 		PrevDisplayMode = 0;
	CLRF       _PrevDisplayMode+0
;Chronulator2_0.c,846 :: 		}
L_main226:
;Chronulator2_0.c,847 :: 		SetDutyHours(EEPROM_Read(hr_duty_epr_adr[hr]));
	MOVF       _hr+0, 0
	ADDLW      _hr_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_hr_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyHours_newDuty+0
	CALL       _SetDutyHours+0
;Chronulator2_0.c,848 :: 		SetDutyMinutes(EEPROM_Read(mn_duty_epr_adr[mn]));
	MOVF       _mn+0, 0
	ADDLW      _mn_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_mn_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyMinutes_newDuty+0
	CALL       _SetDutyMinutes+0
;Chronulator2_0.c,849 :: 		break;
	GOTO       L_main224
;Chronulator2_0.c,850 :: 		case 1:                               // 
L_main227:
;Chronulator2_0.c,851 :: 		if (PrevDisplayMode == 0) {
	MOVF       _PrevDisplayMode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main228
;Chronulator2_0.c,852 :: 		RGB_LED_G = OFF;
	BCF        PORTB+0, 4
;Chronulator2_0.c,853 :: 		RGB_LED_R = ON;
	BSF        PORTB+0, 3
;Chronulator2_0.c,854 :: 		GRN_LED_1 = OFF;
	BCF        PORTA+0, 4
;Chronulator2_0.c,855 :: 		GRN_LED_2 = OFF;
	BCF        PORTA+0, 5
;Chronulator2_0.c,856 :: 		RED_LED_1 = ON;
	BSF        PORTE+0, 0
;Chronulator2_0.c,857 :: 		RED_LED_2 = ON;
	BSF        PORTE+0, 1
;Chronulator2_0.c,858 :: 		PrevDisplayMode = 1;
	MOVLW      1
	MOVWF      _PrevDisplayMode+0
;Chronulator2_0.c,859 :: 		}
L_main228:
;Chronulator2_0.c,860 :: 		SetDutyMonths(EEPROM_Read(mth_duty_epr_adr[mth]));
	MOVF       _mth+0, 0
	ADDLW      _mth_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_mth_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyMonths_newDuty+0
	CALL       _SetDutyMonths+0
;Chronulator2_0.c,861 :: 		SetDutyDays(EEPROM_Read(day_duty_epr_adr[day]));
	MOVF       _day+0, 0
	ADDLW      _day_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_day_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyDays_newDuty+0
	CALL       _SetDutyDays+0
;Chronulator2_0.c,862 :: 		SetDutyYear1(EEPROM_Read(hr_duty_epr_adr[20]));
	MOVLW      20
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyYear1_newDuty+0
	CALL       _SetDutyYear1+0
;Chronulator2_0.c,863 :: 		SetDutyYear2(EEPROM_Read(day_duty_epr_adr[year]));
	MOVF       _year+0, 0
	ADDLW      _day_duty_epr_adr+0
	MOVWF      R0+0
	MOVLW      hi_addr(_day_duty_epr_adr+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_SetDutyYear2_newDuty+0
	CALL       _SetDutyYear2+0
;Chronulator2_0.c,864 :: 		break;
	GOTO       L_main224
;Chronulator2_0.c,865 :: 		}
L_main223:
	MOVF       _DisplayMode+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_main225
	MOVF       _DisplayMode+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_main227
L_main224:
;Chronulator2_0.c,866 :: 		break;
	GOTO       L_main217
;Chronulator2_0.c,867 :: 		case 1:                                       //  /
L_main229:
;Chronulator2_0.c,868 :: 		break;
	GOTO       L_main217
;Chronulator2_0.c,869 :: 		case 2:                                       // 
L_main230:
;Chronulator2_0.c,870 :: 		break;
	GOTO       L_main217
;Chronulator2_0.c,871 :: 		}
L_main216:
	MOVF       _OperationMode+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_main218
	MOVF       _OperationMode+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_main229
	MOVF       _OperationMode+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_main230
L_main217:
;Chronulator2_0.c,873 :: 		if (RTC > 1000) {
	MOVF       _RTC+1, 0
	SUBLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main263
	MOVF       _RTC+0, 0
	SUBLW      232
L__main263:
	BTFSC      STATUS+0, 0
	GOTO       L_main231
;Chronulator2_0.c,875 :: 		TimeAndDateUsartWrite();
	CALL       _TimeAndDateUsartWrite+0
;Chronulator2_0.c,877 :: 		RTC = 0;
	CLRF       _RTC+0
	CLRF       _RTC+1
;Chronulator2_0.c,878 :: 		}
L_main231:
;Chronulator2_0.c,879 :: 		}
	GOTO       L_main214
;Chronulator2_0.c,880 :: 		}
	GOTO       $+0
; end of _main
